<?php
session_start();
// +------------------------------------------------------------------------+
// | PHP Melody version 1.5.2 / Release date: December 22, 2008
// +------------------------------------------------------------------------+
// | PHP Melody IS NOT FREE SOFTWARE
// | If you have downloaded this software from a website other
// | than www.phpsugar.com or if you have otherwise received
// | this software from someone who is not a representative of
// | this site you are involved in an illegal activity.
// | ---
// | In such case, please contact us at: support@phpsugar.com.
// +------------------------------------------------------------------------+
// | Developed by: phpSugar (www.phpsugar.com) / support@phpsugar.com
// | Copyright: (c) 2004-2008 PhpSugar.com. All rights reserved.
// +------------------------------------------------------------------------+

require_once('../config.php');
include_once('functions.php');
include_once( ABSPATH . 'include/user_functions.php');
include_once( ABSPATH . 'include/islogged.php');
if( !is_user_logged_in() || ($userdata['power'] != U_ADMIN) )
{
	//header("Location: "._URL. "/admin/login.php");
	header("Location: login.php");
	exit();
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Admin Area - <?=_SITENAME?></title>
<link href="admin.css" rel="stylesheet" type="text/css" />
<link rel="shortcut icon" href="<?=_URL?>/<?=_UPFOLDER?>/favicon.ico">
<script type="text/javascript" src="../js/general.js"></script>
<script type="text/javascript" src="../js/jquery.js"></script>
<script language="JavaScript" type="text/javascript" src="js/wysiwyg.js"></script>
<script type="text/javascript" src="js/jquery.tablesorter.min.js"></script>
<script type="text/javascript" src="a_general.js"></script>
<script type="text/javascript" src="js/ColorPicker.js"></script>
<script type="text/javascript" src="js/jqModal.js"></script>
<script type="text/javascript">

$(document).ready(function() {
	$("#usersSortTable").tablesorter({
	 headers: { 7: { sorter: false} },
	 sortList: [[0,1]],
	 widgets: ['zebra']
	 });
	$("#videosSortTable").tablesorter({
	 headers: { 0: { sorter: false}, 1: { sorter: false},  6: { sorter: false}, 7: { sorter: false} },
	 sortList: [[3,1]],
	 widgets: ['zebra']
	 });

});

//	Other JS functions
function validateFormOnSubmit(theForm, say_reason) {
 
 var reason = say_reason;
 var inputs = document.getElementsByTagName("INPUT");
 
 var counter = 0;
 for(i=0; i<inputs.length; i++)
 {
	 // reason += validateEmpty(theForm);
	if (inputs[i].id == 'must')
	{
		if (validateEmpty(inputs[i]) == false)
		{
			counter++;
		}
	}
 }
      
 if (counter > 0) {
   alert(reason);
   return false;
 }
 return true;
}

function validateEmpty(fld) {
    var ret;
 
    if ((fld.value.length == 0) || (fld.value == '')) {
        fld.style.background = '#FFD2D2'; 
        ret = false;
    } else {
        fld.style.background = '#FFFFFF';
		ret = true;
    }
    return ret;
}

$(document).ready(function()
{
  $(".msg_body").hide();
  $(".msg_head").click(function()
  {
    $(this).next(".msg_body").slideToggle('normal');
  });
});

jQuery(function($)
{
	$("#bg_bar").attachColorPicker();
	$("#play_timer").attachColorPicker();
	
});
</script>
<?php
	if($showm == '2')
	{	//	Add Videos
?>
<script type="text/javascript" src="jquploader/jquery.flash.js"></script>
<script type="text/javascript" src="jquploader/jquery.jqUploader.js"></script>
<script type="text/javascript">
$(document).ready(function(){

	$("#uploader").jqUploader({
		uploadScript:	'../upload_file.php',
		afterScript:	'addvideo.php?step=2',
		background:	"FFFFFF",
		barColor:	"bdc7d8",
		allowedExt:     "*.flv",
		allowedExtDescr: "(*.flv)",
		width:			430,
		height:			70,
		src:			'jquploader/jqUploader.swf',
		hideSubmit:		true,
		errorSizeMessage: 'The FLV is too big!',
		validFileMessage: 'now click "Step 2" to proceed',
		progressMessage: 'Please wait, uploading ',
		endMessage:    'The video has been uploaded.'
	});
});
</script>
<?php
	}
?>
</head>
<body>
<div id="menu_header">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td valign="top"><h1><a href="<?=_URL?>/" target="_blank"><?=_SITENAME?></a></h1><br /></td>
    <td valign="top" class="help_links">
		<?
		if(is_firstinstall() != false) {
				echo '<img src="images/ico_warn.png" border="0" width="16" height="16" align="absmiddle" style="padding-bottom: 3px;"> <a href="#" class="jqModal">Read Warnings</a> / ';
		}
		?>
		<a href="http://www.phpsugar.com/customer_care.html">Developer Support</a> / 
		<a href="http://www.sharemafia.com">Exclusive Releasers</a>	</td>
  </tr>
  <tr>
    <td colspan="2">
		<div id="menu">
		<ul>
		<li><a href="index.php" <? if($showm == '1') { echo 'class="selectedm"'; } ?>>Home</a></li>
		<li><a href="videos.php" <? if($showm == '2') { echo 'class="selectedm"'; } ?>>Videos</a></li>
		<li><a href="cat_manager.php" <? if($showm == '3') { echo 'class="selectedm"'; } ?>>Categories</a></li>
		<li><a href="comments.php" <? if($showm == '4') { echo 'class="selectedm"'; } ?>>Comments</a></li>
		<li><a href="members.php" <? if($showm == '6') { echo 'class="selectedm"'; } ?>>Users</a></li>
		<li><a href="ad_manager.php" <? if($showm == '9') { echo 'class="selectedm"'; } ?>>Ad Manager</a></li>
		<li><a href="statistics.php" <? if($showm == '7') { echo 'class="selectedm"'; } ?>>Statistics</a></li>
		<li><a href="settings.php" <? if($showm == '8') { echo 'class="selectedm"'; } ?>>Settings</a></li>
		<li><a href="<?=_URL?>/login.php?do=logout">Logout</a></li>
		</ul>
		</div>	</td>
    </tr>
</table>
</div>
<script type="text/javascript">
$(document).ready(function() {
  $('#dialog').jqm();
});
</script>
<div class="jqmWindow" id="dialog">
	<a href="#" class="jqmClose"><img src="images/internal_warn.gif" height="69" border="0" align="right"></a>
	<br><br><br>
	<hr><hr><hr>
	<?=is_firstinstall()?>
	<?php
		$log_entries = count_entries('pm_log', '', '');
		if($log_entries > 0)
		{
			echo "<br><br><br>";
			echo "- The system has encountered some errors! You might want to check them out. (Go to the <a href=\"readlog.php\">Internal Log</a> page)";
		}
		
	?>
</div>
