<?php
// +------------------------------------------------------------------------+
// | PHP Melody version 1.5.1 / Release date: October 21, 2008
// +------------------------------------------------------------------------+
// | PHP Melody IS NOT FREE SOFTWARE
// | If you have downloaded this software from a website other
// | than www.phpsugar.com or if you have otherwise received
// | this software from someone who is not a representative of
// | this site you are involved in an illegal activity.
// | ---
// | In such case, please contact us at: support@phpsugar.com.
// +------------------------------------------------------------------------+
// | Developed by: phpSugar (www.phpsugar.com) / support@phpsugar.com
// | Copyright: (c) 2004-2008 PhpSugar.com. All rights reserved.
// +------------------------------------------------------------------------+

$showm = '2';
include('header.php');

$action = trim($_GET['action']);

/*
	** Define Local Functions Here **
*/
function get_micro_time()
{
	list($microsec, $sec) = explode(" ", microtime());
	return ((float)$microsec + (float)$sec);
}

function get_exec_time($end, $start)
{
	return round($end - $start, 2);
}

function startElement($parser, $name, $attrs) 
{
	global $youtube, $youtube_array_counter, $youtube_index;
	switch($name) 
	{
		case "ENTRY":
			$youtube_index = "";
			break;
		default:
			$youtube_index = $name;
			$youtube[$youtube_array_counter][$youtube_index] = "";
			break;
	}
}

function endElement($parser, $name) 
{
	global $youtube, $youtube_index, $youtube_array_counter;
	switch($name) 
	{
		case "ENTRY":
			$youtube_array_counter++;
			break;
	}
	$youtube_index = "";
}

function characterData($parser, $data) 
{
	global $youtube, $youtube_array_counter, $youtube_index;
	if ($youtube_index != "") 
	{
		$youtube[$youtube_array_counter][$youtube_index] .= trim($data);
	}
	
}
/*
	** Finish defining Local Functions **
*/

?>
<div id="sub_menu">
<li><a href="addvideo.php">Add new video</a></li>
<li><a href="import.php">Import from Youtube</a></li>

<li><a href="import_user.php">Import from Youtube User</a></li>

<li><a href="reports.php">Reported Videos</a></li>
<li><a href="approve.php">Approve Videos</a></li>
<li><a href="voth.php">Change video of the day</a></li>
</div>
<div id="content">
<h2>Import from Youtube</h2>

<?=$info_msg?>
<div class="info_msg">
If you want to 'auto-populate' the fields, please use this format: 'Artist name - Song name' (e.g. <strong>Frank Sinatra - Sugar Town</strong>).<br />
</div>
<form name="search_yt_videos" action="import.php?action=search" method="post">
<input name="keyword" type="text" value="<?php echo ($_POST['keyword'] != '') ? $_POST['keyword'] : str_replace("+", " ", $_GET['keyword']); ?>" size="30" />
<select name="results">
  <option value="10" <?php if($_POST['results'] == 10 || $_GET['results'] == 10) echo 'selected="selected"'; ?>>10 results</option>
  <option value="20" <?php if(($_POST['results'] == 20 || $_GET['results'] == 20) || ($_POST['results'] == '' && $_GET['results'] == '')) echo 'selected="selected"'; ?>>20 results</option>
  <option value="30" <?php if($_POST['results'] == 30 || $_GET['results'] == 30) echo 'selected="selected"'; ?>>30 results</option>
  <option value="50" <?php if($_POST['results'] == 50 || $_GET['results'] == 50) echo 'selected="selected"'; ?>>50 results</option>
</select>
<input name="submit" type="submit" value="Find" class="inputbutton" />
<br /><small>Note: The greater the number of results is the longer it takes to load the page.</small>
<br />
<input type="checkbox" name="autofilling" id="autofilling" value="1" <?php if($_POST['autofilling'] == "1" || $_GET['autofilling'] == "1") echo 'checked="checked"'; ?> />
<label for="autofilling">Auto-populate 'Artist name' & 'Video Title'</label><br />
<input type="checkbox" name="autodata" id="autodata" value="1" <?php if($_POST['autodata'] == "1" || $_GET['autodata'] == "1") echo 'checked="checked"'; ?> />
<label for="autodata">Auto-populate 'Tags' & 'Description' from Youtube</label><br />
<input type="checkbox" name="overwrite_category" id="overwrite_category" value="1" <?php if($_POST['overwrite_category'] == "1" || $_GET['oc'] == "1") echo 'checked="checked"'; ?> />
<label for="overwrite_category">Use this category throughout the listings:</label> 
<select name="use_this_category">
 <option value="-1">Select...</option>
<?php
	
	$categories_array = a_list_cats_simple();
	$form_select_cats = '';
	
	foreach($categories_array as $cat_id => $cat_arr)
	{	
		if($cat_arr['parent_id'] == 0)
		{
			$form_select_cats .= "<option value=\"".$cat_arr['id']."\"";
			if($_POST['use_this_category'] == $cat_id || $_GET['utc'] == $cat_id)
			{
				$form_select_cats .= ' selected="selected" ';
			}
			
			$form_select_cats .= ">".$cat_arr['name']."</option>\n";

			//	subcategories
			foreach($categories_array as $cat_id2 => $subcat_arr)
			{
				if($subcat_arr['parent_id'] == $cat_id && ($cat_id2 != $cat_id))
				{
					$form_select_cats .= "<option value=\"".$subcat_arr['id']."\"";
					if($_POST['use_this_category'] == $cat_id2 || $_GET['utc'] == $cat_id2)
					{
						$form_select_cats .= ' selected="selected" ';
					}
					$form_select_cats .= ">&raquo; ".$subcat_arr['name']."</option>\n";
				}
			}
		}
	}
	echo $form_select_cats;
?>
</select>
</form>
<?php

//	IMPORT
if($_POST['submit'] == 'Import' && ($action == 'import'))
{
	$exec_start = get_micro_time();

	#echo '<div class="info_msg">Please be patient, this may take a while ...</div>';

	$arr_artist		 = $_POST['artist'];
	$arr_video_title = $_POST['video_title'];
	$arr_description = $_POST['description'];
	$arr_tags		 = $_POST['tags'];
	$arr_category	 = $_POST['genre'];
	$arr_url		 = $_POST['video_ids'];
	$yt_username	 = $_POST['yt_username'];
	
	$sources = fetch_video_sources();
	$source_id = 0;
	foreach($sources as $k => $src)
	{
		if(strtolower($src['source_name']) == "youtube")
		{
			$source_id = $k;
			break;
		}
	}
	
	$total_videos = count($arr_url);
	$imported_total = 0;
	
	define('PHPMELODY', true);
	require_once( "./src/youtube.php");
	
	$duplicate = 0;
	//for($i = 0; $i < $total_videos; $i++)
	if(is_array($arr_url))
	foreach($arr_url as $i => $v)
	{	
		$duplicate = count_entries('pm_videos_urls', 'direct', $arr_url[$i]);
		
		if($duplicate == 0)
		{
			$video_details = array(	
								'uniq_id' => '',	
								'artist' => '',	
								'video_title' => '',	
								'description' => '',	
								'yt_id' => '',	
								'yt_length' => '',	
								'category' => '',	
								'submitted' => '',	
								'source_id' => '',	
								'language' => '',	
								'age_verification' => '',
								'url_flv' => '',	
								'yt_thumb' => '',
								'mp4' => '',	
								'direct' => '',	
								'tags' => ''
								);
			
			$video_details['artist']	  = trim( $arr_artist[$i]	   );
			$video_details['video_title'] = trim( $arr_video_title[$i] );
			$video_details['description'] = trim( $arr_description[$i] );
			$video_details['tags'] 		  = trim( $arr_tags[$i]		   );
			$video_details['category'] 	  = trim( $arr_category[$i]	   );
			$video_details['direct'] 	  = trim( $arr_url[$i]		   );
			$video_details['source_id']	  = $source_id;
			$video_details['language']	  = 1;
			$video_details['submitted']	  = $userdata['username'];
			
			//	generate unique id;
			$found = 0;
			$uniq_id = '';
			$i = 0;
			do
			{
				$found = 0;
				if(function_exists('microtime'))
					$str = microtime();
				else
					$str = time();
				$str = md5($str);
				$uniq_id = substr($str, 0, 9);
				if(count_entries('pm_videos', 'uniq_id', $uniq_id) > 0)
					$found = 1;
			} while($found === 1);
	
			$video_details['uniq_id'] = $uniq_id;
			
			if($video_details['artist'] != '' && $video_details['video_title'] != '')
			{
				$temp = array();
				//	grab video information
				do_main($temp, $video_details['direct']);
				
				$video_details['url_flv']	=	$temp['url_flv'];
				$video_details['mp4']		=	$temp['mp4'];
				$video_details['yt_length']	=	$temp['yt_length'];
				$video_details['yt_thumb']	=	$temp['yt_thumb'];
				$video_details['yt_id']	=	$temp['yt_id'];
				if($video_details['tags'] == '')
					$video_details['tags']	=	$temp['tags'];
				
				//	download thumbnail
				$img = download_thumb($video_details['yt_thumb'], _THUMBS_DIR_PATH, $uniq_id);
				
				$new_video = insert_new_video($video_details);
				if($new_video !== true)
				{
					echo '<div class="info_msg_err"><em>A problem occurred! Could not insert new video in your database;</em><br /><strong>MySQL Reported:</strong> ".$new_video[0]."<br /><strong>Error Number:</strong> '.$new_video[1].'</div>';
				}
				else
				{
					//	tags?
					if($video_details['tags'] != '')
					{
						$tags = explode(",", $video_details['tags']);
						foreach($tags as $k => $tag)
						{
							$tags[$k] = stripslashes(trim($tag));
						}
						//	remove duplicates and 'empty' tags
						$temp = array();
						for($i = 0; $i < count($tags); $i++)
						{
							if($tags[$i] != '')
								if($i <= (count($tags)-1))
								{
									$found = 0;
									for($j = $i + 1; $j < count($tags); $j++)
									{
										if(strcmp($tags[$i], $tags[$j]) == 0)
											$found++;
									}
									if($found == 0)
										$temp[] = $tags[$i];
								}
						}
						$tags = $temp;
						//	insert tags
						if(count($tags) > 0)
							insert_tags($video_details['uniq_id'], $tags);
					}
					$imported_total++;
				}
				unset($video_details, $temp);
			}
		}
	}	//	end for()
	
	$exec_end = get_micro_time();
	
	$info_msg = '<div class="info_msg_ok">Imported <strong>'.$imported_total.'</strong> out of <strong>'.$total_videos.'</strong> videos.';
	if($imported_total < $total_videos)
	{
		$info_msg .= '<br />Videos found in your database were avoided. Also, checked videos that were missing Artist or Video Title were avoided.';
	}
	
	$info_msg .= '<br />Import took <strong>' . get_exec_time($exec_end, $exec_start) . '</strong> seconds.';

	if(!empty($yt_username)) {
		$info_msg .= '<br /><br /><strong><a href="import_user.php?action=search&username='.$yt_username.'">Return to <em>'.$yt_username.'</em> videos</a></strong>.';
		}
	$info_msg .= '</div></div>';
	echo $info_msg;
}


//	SEARCH
//if(isset($_POST['submit']) && !empty($_POST['keyword']) && ($action == 'search'))
if($action == 'search' && ($_POST['keyword'] != '' || $_GET['keyword'] != ''))
{
   ?>
   <br />
   <form name="import_videos" action="import.php?action=import" method="post">
	<table width="100%" border="0" cellspacing="2" cellpadding="10">
	  <tr class="table_head">
	    <td width="30%">Youtube Title / Thumbnails</td>
	    <td>Import</td>
	    <td width="2%" align="center"><input type="checkbox" name="checkall" onclick="checkUncheckAll(this);"/></td>
	  </tr>
	<?php
	
	$page = (int) $_GET['page'];

	if(empty($page))
		$page = 1;
	
	$autodata = 0;
	$autofilling = 0;
	$overwrite_category = 0;
	
	if(isset($_POST['submit']) && !empty($_POST['keyword']))
	{
		$v				= str_replace(" ", "+", $_POST['keyword']);
		$import_results	= $_POST['results'];
		
		if($_POST['autofilling'] == '1') 
		{
			$autofill = explode("-", $_POST['keyword'], 2);
			$autofill[0] = trim($autofill[0]);
			$autofill[1] = trim($autofill[1]);
			$autofilling = 1;
		}
		if($_POST['autodata'] == '1')
		{
			$autodata = 1;
		}
		if($_POST['overwrite_category'] == 1 && $_POST['use_this_category'] != "-1")
		{
			//	set category id;
			$overwrite_category = (int) $_POST['use_this_category'];
		}
	}
	elseif($_GET['keyword'] != '')
	{
		$v				= urldecode($_GET['keyword']);
		$v				= str_replace(" ", "+", $v);
		
		if($_GET['results'] != '')
		{
			$import_results	= (int) $_GET['results'];
		}
		else
		{
			$import_results = 20;
		}
		
		if($_GET['autofilling'] == 1)
		{
			$autofill = explode("-", urldecode($_GET['keyword']), 2);
			$autofill[0] = trim($autofill[0]);
			$autofill[1] = trim($autofill[1]);
			$autofilling = 1;
		}
		if($_GET['autodata'] == 1)
		{
			$autodata = 1;
		}
		if($_GET['oc'] == 1)	//	oc = overwrite_category
		{
			//	set category id;
			$overwrite_category = (int) $_GET['utc'];	//	utc = use_this_cateogory
		}
	}
	$start_from = ($page * $import_results) - $import_results + 1;
	
	//	Send Request
	$clean_v = str_replace("-", " ", $v);
	$v = urlencode($v);
	$clean_v = urlencode($clean_v);
//	$file = "http://gdata.youtube.com/feeds/api/videos?vq=".$v."&start-index=1&max-results=".$import_results;
	$file = "http://gdata.youtube.com/feeds/api/videos?vq=".$clean_v."&start-index=".$start_from."&max-results=".$import_results;
	$youtube = array();
	$youtube_index = "";
	$youtube_array_counter = 0;
	
	$xml_parser = xml_parser_create();
	xml_set_element_handler($xml_parser, "startElement", "endElement");
	xml_set_character_data_handler($xml_parser, "characterData");
	$error = 0;
	
	if ( ini_get('allow_url_fopen') == 1 ) 
	{
	
	   // use fopen() or file_get_contents()
	   if ( $fp = @fopen($file, "r") ) 
	   {
	      while ($data = fread($fp, 4096)) 
	      {
	        if ( !xml_parse($xml_parser, $data, feof($fp)) ) 
	        {
	            die(sprintf("XML error: %s at line %d",
	            xml_error_string(xml_get_error_code($xml_parser)),
	            xml_get_current_line_number($xml_parser)));
	         }
	      }
	   }
	   else 
	   {
	      $error = 1;
	   }
	   @fclose($fp);
	}
	elseif( (ini_get('allow_url_fopen') == 1 && $error == 1) || ini_get('allow_url_fopen') == 0 ) 
	{
	   // if there was an error encountered while using fopen() OR if allow_url_fopen is OFF, use cURL
	   $error = 0;
	   if ( function_exists('curl_init') ) 
	   {
	      $ch = curl_init();
	      curl_setopt($ch, CURLOPT_URL, $file);
	      curl_setopt($ch, CURLOPT_HEADER, 0);
	      curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	      curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0');
	   
	      $data = curl_exec($ch);
	      curl_close($ch);
	
	      if ( !xml_parse($xml_parser, $data, TRUE) ) 
	      {
	            die(sprintf("XML error: %s at line %d",
	               xml_error_string(xml_get_error_code($xml_parser)),
	               xml_get_current_line_number($xml_parser)));
	      }
	   }
	   else 
	   {
	      $error = 1;
	   }
	}
	if( $error == 1 )
	{
	   // fopen failed, cURL failed, there's nothing else to do but quit
	   die( '<div class="info_msg_err">
	   			fopen() failed;<br />
				cURL failed.<br />
				Unable to connect to retrieve data. <b>Please try again in a few moments. If it keeps failing you should email your host and ask them if your account has <em>allow_url_fopen</em> or <em>cURL</em> enabled.</b></div>' );
	}
	xml_parser_free($xml_parser);
	
	//	Generate categories select drop-down
	foreach($categories_array as $cat_id => $cat_arr)
	{	
		if($cat_arr['parent_id'] == 0)
		{
			if( $overwrite_category != 0 && $cat_id == $overwrite_category)
			{
				$cats_form .= "<option value=\"".$cat_arr['id']."\" selected=\"selected\">".$cat_arr['name']."</option>\n";
			}
			else
			{
				$cats_form .= "<option value=\"".$cat_arr['id']."\">".$cat_arr['name']."</option>\n";
			}

			//	subcategories
			foreach($categories_array as $cat_id2 => $subcat_arr)
			{
				if($subcat_arr['parent_id'] == $cat_id && ($cat_id2 != $cat_id))
				{
					if( $overwrite_category != 0 && $cat_id2 == $overwrite_category)
					{
						$cats_form .= "<option value=\"".$subcat_arr['id']."\" selected=\"selected\">&raquo; ".$subcat_arr['name']."</option>\n";
					}
					else
					{
						$cats_form .= "<option value=\"".$subcat_arr['id']."\">&raquo; ".$subcat_arr['name']."</option>\n";
					}
				}
			}
		}
	}
	
	// begin formatting
	$alt = 0;
	$total_results = count($youtube);
	$counter = 1;
	$duplicates = 0;
	$total_search_results = $youtube[0]['OPENSEARCH:TOTALRESULTS'];
	
	if($youtube[0]['OPENSEARCH:TOTALRESULTS'] != 0 && $youtube[0]['OPENSEARCH:TOTALRESULTS'] > $start_from)
	{
		for($i = 0; $i < $total_results; $i++) 
		{
			$yid		 = explode("/", $youtube[$i]["ID"]);
			$id 		 = $yid[ count($yid)-1 ];
			$count_vids	 = 0;
			$count_vids	 = count_entries('pm_videos', 'yt_id', $id);
			if($count_vids == 0)
			{
				$title		 = $youtube[$i]["TITLE"];
				$url		 = 'http://www.youtube.com/watch?v='.$id;
				$thumb		 = _YOUTUBETHUB."/".$id."/default.jpg";
				$description = $youtube[$i]["MEDIA:DESCRIPTION"];
				$keywords	 = $youtube[$i]["MEDIA:KEYWORDS"];				

				$col = ($alt % 2) ? 'table_row1' : 'table_row2';
				$alt++;		
				
		?>
			  <tr class="<?=$col?>">
				<td valign="top">
				<h3><a href="http://www.youtube.com/watch?v=<?=$id?>" target="_blank" class="<?=$h3class?>"> <?=$title?><img src="images/go_open.gif" alt="Go" border="0" /></a></h3>
				<img src="http://img.youtube.com/vi/<?=$id?>/1.jpg" alt="1" width="100" height="76" border="0"/>
				<img src="http://img.youtube.com/vi/<?=$id?>/2.jpg" alt="2" width="100" height="76" border="0"/>
				<img src="http://img.youtube.com/vi/<?=$id?>/3.jpg" alt="3" width="100" height="76" border="0"/>				</td>
				<td>
				 <table width="100%" border="0" cellspacing="5" cellpadding="0">
                   <tr>
                     <td width="15%">
						<small>Artist name:</small><br />
						<input name="artist[<?=$counter?>]" type="text" value="<?=$autofill[0]?>" size="20" /> 
					 </td>
                     <td width="15%">
						<small>Video title:</small><br />
						<input name="video_title[<?=$counter?>]" type="text" value="<?=$autofill[1]?>" size="20" />
					 </td>
                     <td width="70%">
						<small>Category:</small><br />
						<select name="genre[<?=$counter?>]">
						<?=$cats_form?>
						</select>	
					 </td>
                   </tr>
                   <tr>
                     <td colspan="3">
						 <small>Tags:</small><br />
						 <input name="tags[<?=$counter?>]" type="text" value="<?php if($autodata) echo $keywords;?>" style="width: 50%" />
					 </td>
                   </tr>
                   <tr>
                     <td colspan="3">
						 <small>Description:</small><br />
						 <textarea name="description[<?=$counter?>]" id="description[<?=$counter?>]" style="width:60%; height:50px"><?php if($autodata) echo $description;?></textarea>
					 </td>
                   </tr>
                 </table>
			</td>
				<td>
				 <input name="video_ids[<?=$counter?>]" type="checkbox" value="<?=$url?>"/></td>
			  </tr>
		<?php
				$counter++;
			}
			else
			{
				$duplicates++;
			}
		}	//	end for()
	}	//	end if()
	else
	{
		?>
		<tr>
		<td colspan="2" align="center">
		Sorry, no results were found! Try again using more keywords.
		</td>
		</tr>
		<?php
	}
	if($duplicates == $total_results)
	{
		//	All videos found 
		?>
		<tr>
		<td colspan="2" align="center">
		You already have these videos in your database.<br />
		Please try again by selecting more than <?=$import_results?> results or by using different keywords.
		</td>
		</tr>
		</table>
  </form>
</div>
		<?php
	}
	else
	{
?>
	</table>
	<?php
		if($total_search_results > 0)
		{
		 if($total_search_results > 1000)
		 {
			$total_search_results = 999 - $import_results;
		 }
		?>
		<div align="center">
		 <div class="pagination">
		  <?php
		  
		  	// generate smart pagination
			$filename = 'import.php';
			$ext = 'action=search&keyword='.$v.'&results='.$import_results.'&page='.$page.'&autofilling='.$autofilling.'&autodata='.$autodata;
			
			if($overwrite_category > 0)
			{
				$ext .= '&oc=1&utc='.$overwrite_category;
			}
			$pagination = '';
			$pagination = generate_smart_pagination($page, $total_search_results, $import_results, 1, $filename, $ext);
			echo $pagination;
		  ?>
		 </div>
		</div>
		<?php
		} // end if($youtube[0]['OPENSEARCH:TOTALRESULTS'] > 0)
		?>
	 <div align="right"><input type="submit" name="submit" value="Import" class="approvebutton"></div>
   </form>

<?php
	}
}
?>
</div>
<?php
include('footer.php');
?>