<?php
// +------------------------------------------------------------------------+
// | PHP Melody version 1.5.1 / Release date: October 21, 2008
// +------------------------------------------------------------------------+
// | PHP Melody IS NOT FREE SOFTWARE
// | If you have downloaded this software from a website other
// | than www.phpsugar.com or if you have otherwise received
// | this software from someone who is not a representative of
// | this site you are involved in an illegal activity.
// | ---
// | In such case, please contact us at: support@phpsugar.com.
// +------------------------------------------------------------------------+
// | Developed by: phpSugar (www.phpsugar.com) / support@phpsugar.com
// | Copyright: (c) 2004-2008 PhpSugar.com. All rights reserved.
// +------------------------------------------------------------------------+

$showm = '2';
include('header.php');

$action = trim($_GET['action']);

/*
	** Define Local Functions Here **
*/
function get_micro_time()
{
	list($microsec, $sec) = explode(" ", microtime());
	return ((float)$microsec + (float)$sec);
}

function get_exec_time($end, $start)
{
	return round($end - $start, 2);
}

function startElement($parser, $name, $attrs) 
{
	global $youtube, $youtube_array_counter, $youtube_index;
	switch($name) 
	{
		case "ENTRY":
			$youtube_index = "";
			break;
		default:
			$youtube_index = $name;
			$youtube[$youtube_array_counter][$youtube_index] = "";
			break;
	}
}

function endElement($parser, $name) 
{
	global $youtube, $youtube_index, $youtube_array_counter;
	switch($name) 
	{
		case "ENTRY":
			$youtube_array_counter++;
			break;
	}
	$youtube_index = "";
}

function characterData($parser, $data) 
{
	global $youtube, $youtube_array_counter, $youtube_index;
	if ($youtube_index != "") 
	{
		$youtube[$youtube_array_counter][$youtube_index] .= trim($data);
	}
	
}

function grab_and_parse_xml($file)
{
	$xml_parser = xml_parser_create();
	xml_set_element_handler($xml_parser, "startElement", "endElement");
	xml_set_character_data_handler($xml_parser, "characterData");
	$error = 0;
	
	if ( ini_get('allow_url_fopen') == 1 ) 
	{
	
	   // use fopen() or file_get_contents()
	   if ( $fp = @fopen($file, "r") ) 
	   {
	      while ($data = fread($fp, 4096)) 
	      {
	        if ( !xml_parse($xml_parser, $data, feof($fp)) ) 
	        {
	            die(sprintf("XML error: %s at line %d",
							xml_error_string(xml_get_error_code($xml_parser)),
							xml_get_current_line_number($xml_parser)));
	         }
	      }
	   }
	   else 
	   {
	      $error = 1;
	   }
	   @fclose($fp);
	}
	elseif( (ini_get('allow_url_fopen') == 1 && $error == 1) || ini_get('allow_url_fopen') == 0 ) 
	{
	   // if there was an error encountered while using fopen() OR if allow_url_fopen is OFF, use cURL
	   $error = 0;
	   if ( function_exists('curl_init') ) 
	   {
	      $ch = curl_init();
	      curl_setopt($ch, CURLOPT_URL, $file);
	      curl_setopt($ch, CURLOPT_HEADER, 0);
	      curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	      curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0');
	   
	      $data = curl_exec($ch);
	      curl_close($ch);
	
	      if ( !xml_parse($xml_parser, $data, TRUE) ) 
	      {
	            die(sprintf("XML error: %s at line %d",
	               xml_error_string(xml_get_error_code($xml_parser)),
	               xml_get_current_line_number($xml_parser)));
	      }
	   }
	   else 
	   {
	      $error = 1;
	   }
	}
	if( $error == 1 )
	{
	   // fopen failed, cURL failed, there's nothing else to do but quit   
	   die( '<div class="info_msg_err">
	   			Unable to connect to retrieve data. This can mean either the username you\'ve entered is invalid or your hosting account has <em>allow_url_fopen</em> or <em>cURL</em> disabled.<br />
				<br />
				<b>Please try again in a few moments.</b>
				<br />
				<b>If it keeps failing email your host and ask them if your account has <em>allow_url_fopen</em> or <em>cURL</em> enabled.</b></div>' );
	}
	xml_parser_free($xml_parser);
}

/*
	** Finish defining Local Functions **
*/

?>
<div id="sub_menu">
<li><a href="addvideo.php">Add new video</a></li>
<li><a href="import.php">Import from Youtube</a></li>

<li><a href="import_user.php">Import from Youtube User</a></li>

<li><a href="reports.php">Reported Videos</a></li>
<li><a href="approve.php">Approve Videos</a></li>
<li><a href="voth.php">Change video of the day</a></li>
</div>
<div id="content">
<h2>Import from Youtube</h2>
<?=$info_msg?>
<?
if(empty($_GET['action'])) {
?>
<div class="info_msg">
Enter any valid YouTube.com username and you will be able to import the user's playlists, favorites and uploaded videos.<br /> Please note that some playlists may be private and you will see them as being empty.
</div>
<? } ?>
<br />
<form name="search_username" action="import_user.php?action=search" method="post">
<input name="username" type="text" onclick='value=""' value="<?php if($_POST['username'] != '') echo $_POST['username']; elseif($_GET['username'] != '') echo $_GET['username']; else echo 'Youtube username';?>" size="30" maxlength="30"/>
<select name="results">
  <option value="10" <?php if($_POST['results'] == 10 || $_GET['results'] == 10) echo 'selected="selected"'; ?>>10 results</option>
  <option value="20" <?php if(($_POST['results'] == 20 || $_GET['results'] == 20) || ($_POST['results'] == '' && $_GET['results'] == '')) echo 'selected="selected"'; ?>>20 results</option>
  <option value="30" <?php if($_POST['results'] == 30 || $_GET['results'] == 30) echo 'selected="selected"'; ?>>30 results</option>
  <option value="50" <?php if($_POST['results'] == 50 || $_GET['results'] == 50) echo 'selected="selected"'; ?>>50 results</option>
</select>
<input name="submit" type="submit" value="Find" class="inputbutton" />
<br /><small>Note: The greater the number of results is the longer it takes to load the results.</small>
</form>
<br /><br />
<?php


if(isset($_POST['submit']) && !empty($_POST['username']) && ($action == 'search'))
{
	$username = trim($_POST['username']);
	$import_results = $_POST['results'];
}
elseif($action != '')
{
	$username = trim($_GET['username']);
	$import_results = ($_GET['results'] != '') ? $_GET['results'] : 20;
}

if(($action == 'search' || $action == 'favorites' || $action == 'playlists') && ($username != ''))
{
	$exec_start = get_micro_time();
	
	//	don't allow any white spaces in the username;
	$username = str_replace(" ", "", $username);
	
	if($action == 'playlists')
	{
		define('PHPMELODY', true);
		require_once('./src/youtube.php');
	}

	//	Step 1 - grab user's playlist
	$file = "http://gdata.youtube.com/feeds/api/users/".$username."/playlists?start-index=1&max-results=".$import_results;
	$youtube = array();
	$youtube_index = "";
	$youtube_array_counter = 0;
	grab_and_parse_xml($file);
	
	$total_results = count($youtube);
?>
	<h2>Results from: <em><?=$username?></em></h2>
  <div id="import_user">
	<p class="msg_head"><img src="images/ico_v_playlist.png" alt="Playlists" align="absmiddle" width="16" height="16" /> Available Playlists</p>
    <?php
	if($youtube[0]['OPENSEARCH:TOTALRESULTS'] != 0)
	{
		echo '<div class="msg_body">';
		echo '<ul>';
		for($i = 0; $i < $total_results; $i++) 
		{
			$temp 		 = explode('/', $youtube[$i]['ID']);
			$playlist_id = $temp[ count($temp)-1 ];
			echo '<li><a href="import_user.php?action=playlists&username='.$username.'&playlistid='.$playlist_id.'&title='.$youtube[$i]['TITLE'].'">'.$youtube[$i]['TITLE'].'</a></li>';
		}
		echo '</ul>';
		echo '</div>';
	}
	else
	{
		echo $username . ' doesn\'t have any playlists.';
	}

	unset($youtube, $youtube_index, $youtube_array_counter);

	//	Step 2 - generate favorites link
?>
	<p class="msg_head"><img src="images/ico_v_fav.png" alt="Favorites" align="absmiddle" width="16" height="16" /> <a href="import_user.php?action=favorites&username=<?php echo $username; ?>">Show <em><?=ucfirst($username)?></em>'s favorite videos</a></p>
<?php
	if($action != 'search')
	{
?>
	<p class="msg_head"><img src="images/ico_v_uploaded.png" alt="Uploaded" align="absmiddle" width="16" height="16" /> <a href="import_user.php?action=search&username=<?php echo $username; ?>">Show videos uploaded by <em><?=ucfirst($username)?></em></a></p>
	</div>
	<br /><br />
<?php
	}
	//	Step 3
	$page = (int) $_GET['page'];

	if(empty($page))
		$page = 1;
		
	$start_from = ($page * $import_results) - $import_results + 1;

	switch($action)
	{
		case 'search':
			$file = "http://gdata.youtube.com/feeds/api/users/".$username."/uploads?start-index=".$start_from."&max-results=".$import_results;
			echo "<h2><em>".ucfirst($username)."'s</em> Uploaded Videos</h2>";
		break;
		case 'favorites':
			$file = "http://gdata.youtube.com/feeds/api/users/".$username."/favorites?start-index=1&max-results=".$import_results;
			echo "<h2><em>".ucfirst($username)."'s</em> Favorite Videos</h2>";
		break;
		case 'playlists':
			$play_id = trim($_GET['playlistid']);
			$title  = urldecode($_GET['title']);
			
			$file = "http://gdata.youtube.com/feeds/api/playlists/".$play_id."?start-index=1&max-results=".$import_results;
			echo "<h2><em>".ucfirst($username)."</em>'s Playlist: ".$title."</h2>"; 
		break;
	}
	
	$youtube = array();
	$youtube_index = "";
	$youtube_array_counter = 0;
	grab_and_parse_xml($file);

   ?>
	<br />
   <form name="import_videos" action="import.php?action=import" method="post">
	<table width="100%" border="0" cellspacing="2" cellpadding="10">
	  <tr class="table_head">
	    <td width="30%">Youtube Title / Thumbnails</td>
	    <td>Import</td>
	    <td width="2%" align="center"><input type="checkbox" name="checkall" onclick="checkUncheckAll(this);"/></td>
	  </tr>
	<?php
	
	$q = mysql_query("SELECT * FROM pm_categories WHERE parent_id=0 ORDER BY name ASC");
	$cats_form = '';
	while($r = mysql_fetch_array($q)) {
	$cats_form .= "<option value=\"".$r['id']."\">".$r['name']."</option>";
	$subcats = mysql_query("SELECT * FROM pm_categories WHERE parent_id=".$r['id']." AND parent_id !=0 ORDER BY name ASC");
		while($result = mysql_fetch_array($subcats)) {
		$cats_form .= "<option value=\"".$result['id']."\">- ".$result['name']."</option>";
		}
	}
	
	// begin formatting
	$alt = 0;
	$total_results = count($youtube);
	$counter = 1;
	$duplicates = 0;
	$total_search_results = $youtube[0]['OPENSEARCH:TOTALRESULTS'];
	
	$youtube_mirror = array();
	$youtube_mirror = $youtube;
	
	if($youtube_mirror[0]['OPENSEARCH:TOTALRESULTS'] != 0)
	{
		for($i = 0; $i < $total_results; $i++) 
		{
			if($action == 'playlists')
			{	
				unset($youtube);
				$youtube = array();
				$youtube_index = "";
				$youtube_array_counter = $i;
				
				grab_and_parse_xml( $youtube_mirror[$i]['ID'] );
			}
			
			$yid		 = explode("/", $youtube[$i]["ID"]);
			$id 		 = $yid[ count($yid)-1 ];
			$count_vids	 = 0;
			$count_vids	 = count_entries('pm_videos', 'yt_id', $id);
			if($count_vids == 0)
			{
				$title		 = $youtube[$i]["TITLE"];
				$url		 = 'http://www.youtube.com/watch?v='.$id;
				$thumb		 = _YOUTUBETHUB."/".$id."/default.jpg";
				$description = $youtube[$i]["MEDIA:DESCRIPTION"];
				$tags		 = $youtube[$i]["MEDIA:KEYWORDS"];
				
				$col = ($alt % 2) ? 'table_row1' : 'table_row2';
				$alt++;	
				
		?>
			  <tr class="<?=$col?>">
				<td valign="top">
				<h3><a href="http://www.youtube.com/watch?v=<?=$id?>" target="_blank" class="<?=$h3class?>"> <?=$title?><img src="images/go_open.gif" alt="Go" border="0" /></a></h3>
				 <?php
				 if($action != 'playlists')
				 {
				 ?>
				  <img src="http://img.youtube.com/vi/<?=$id?>/1.jpg" alt="Thumb 1" width="100" height="76" border="0"/>
				  <img src="http://img.youtube.com/vi/<?=$id?>/2.jpg" alt="Thumb 2" width="100" height="76" border="0"/>
				  <img src="http://img.youtube.com/vi/<?=$id?>/3.jpg" alt="Thumb 3" width="100" height="76" border="0"/>
				  <?php } else { ?>
				  <img src="<?=_NOTHUMB?>" alt="Thumbnail is not available at the moment" border="0"/>
				 <?
				 }
				 ?>				
				</td>
				<td>
				 <table width="100%" border="0" cellspacing="5" cellpadding="0">
                   <tr>
                     <td width="15%">
						<small>Artist name:</small><br />
						<input name="artist[<?=$counter?>]" type="text" value="<?=$autofill[0]?>" size="20" /> 
					 </td>
                     <td width="15%">
						<small>Video title:</small><br />
						<input name="video_title[<?=$counter?>]" type="text" value="<?=$autofill[1]?>" size="20" />
					 </td>
                     <td width="70%">
						<small>Category:</small><br />
						<select name="genre[<?=$counter?>]">
						<?=$cats_form?>
						</select>	
					 </td>
                   </tr>
                   <tr>
                     <td colspan="3">
						 <small>Tags:</small><br />
						 <input name="tags[<?=$counter?>]" type="text" value="" style="width: 50%" />
					 </td>
                   </tr>
                   <tr>
                     <td colspan="3">
						 <small>Description:</small><br />
						 <textarea name="description[<?=$counter?>]" id="description[<?=$counter?>]" style="width:60%; height:50px"></textarea>
					 </td>
                   </tr>
                 </table>
			</td>
				<td>
				 <input name="video_ids[<?=$counter?>]" type="checkbox" value="<?=$url?>"/></td>
			  </tr>
		<?php
				$counter++;
			}
			else
			{
				$duplicates++;
			}
		}	//	end for()
		$exec_end = get_micro_time();
	}	//	end if()
	else
	{
		?>
		<tr>
		<td colspan="3" align="center">
		Sorry, no videos found! <br /><br />Please remember that some videos may be private and that is why they will not appear in the results!
		</td>
		</tr>
		<?php
	}
	if($duplicates == $total_results)
	{
		//	All videos found 
		?>
		<tr>
		<td colspan="3" align="center">
		You already have these videos on your site.<br />
		Please try again by selecting more than <?=$import_results?> results or by using different keywords.
		</td>
		</tr>
	 </table>
  </form>
</div>
		<?php
	}
	else
	{
?>
	</table>
	<br />
	<div align="right">
	<input name="yt_username" type="hidden" value="<?=$username?>"/>
	<?php
		//	generate pagination
		if($total_search_results > 0 && $action == 'search')
		{
		 if($total_search_results > 1000)
		 {
			$total_search_results = 999 - $import_results;
		 }
		?>
		<div align="center">
		 <div class="pagination">
		  <?php
		  	// generate smart pagination
			$filename = 'import_user.php';
			$ext = 'action=search&username='.$username.'&results='.$import_results.'&page='.$page;
			$pagination = '';
			$pagination = generate_smart_pagination($page, $total_search_results, $import_results, 1, $filename, $ext);
			echo $pagination;
		  ?>
		 </div>
		</div>
		<?php
		} // end if($youtube[0]['OPENSEARCH:TOTALRESULTS'] > 0)
		?>
	<input type="submit" name="submit" value="Import" class="approvebutton"></div>
   </form>
  </div>
<?php
	}
}
elseif($username == '' && $action != '')
{
	echo "Invalid username";
}
include('footer.php');
?>