<?php

if(!defined('PHPMELODY'))
	die('Restricted Access!');

function get_info($url)
{
	$video_data = array();
	
	preg_match("/blip.tv\/file\/([^(\&|$)]*)/", $url, $matches);
	$vid_id = $matches[1];
	if(strstr($vid_id, "/") !== false)
	{
		$tmp = explode("/", $vid_id);
		$vid_id = $tmp[0];
		unset($tmp);
	}
	unset($matches);
	
	$target_url = 'http://blip.tv/file/'.$vid_id;
	
	$error = 0;
	if(ini_get('allow_url_fopen') == 1)
	{
		$video_data = @file_get_contents($target_url);
		if($video_data === false)
			$error = 1;
	}
	//	something wrong? use cURL
	if( (ini_get('allow_url_fopen') == 1 && $error == 1) || ini_get('allow_url_fopen') == 0)
	{
		if(function_exists('curl_init'))
		{
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $target_url);
			curl_setopt($ch, CURLOPT_HEADER, 0);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0');
			$video_data = curl_exec($ch);
			$errormsg = curl_error($ch);
			curl_close($ch);
			
			if($errormsg != '')
			{
				echo $errormsg;
				return false;
			}
		}
	}
	if(!is_array($video_data))
	{
		$video_data = explode("\n", $video_data);
	}
	
	$arr_count = count($video_data);
	for($i = 150; $i < $arr_count; $i++)
	{
		if(preg_match("/player\.setPostsId\((.*?)\)/", $video_data[$i], $matches) != 0)
		{
			$rss_id = $matches[1];
			break;
		}
	}
	
	unset($video_data);
	
	$target_url = 'http://blip.tv/rss/'.$rss_id;
	
	
	$error = 0;
	if(ini_get('allow_url_fopen') == 1)
	{
		$video_data = @file_get_contents($target_url);
		if($video_data === false)
			$error = 1;
	}
	//	something wrong? use cURL
	if( (ini_get('allow_url_fopen') == 1 && $error == 1) || ini_get('allow_url_fopen') == 0)
	{
		if(function_exists('curl_init'))
		{
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $target_url);
			curl_setopt($ch, CURLOPT_HEADER, 0);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0');
			$video_data = curl_exec($ch);
			$errormsg = curl_error($ch);
			curl_close($ch);
			
			if($errormsg != '')
			{
				echo $errormsg;
				return false;
			}
		}
	}
	if(!is_array($video_data))
	{
		$video_data = explode("\n", $video_data);
	}
	
	$total = count($video_data);
	for($i = 0; $i < $total; $i++)
	{
		$video_data[$i] = trim($video_data[$i]);
	}
	
	return $video_data;
}

function get_flv($url)
{
	return true;
}

function get_thumb_link($video_data) 
{
	return true;
}


function video_details($video_data, $url, &$info) 
{
	$arr_length = count($video_data);
	
	for($i = 0; $i < $arr_length; $i++)
	{
		//	thumbnail
		if(preg_match('/<blip:smallThumbnail>(.*?)<\/blip:smallThumbnail>/', $video_data[$i], $matches) != 0)
		{	
			$info['yt_thumb'] = $matches[1];
		}
		//	description
		if(preg_match('/<blip:puredescription>(.*?)<\/blip:puredescription>/', $video_data[$i], $matches) != 0)
		{
			$info['description'] = $matches[1];
		}
		//	video id
		if(preg_match('/<blip:item_id>(.*?)<\/blip:item_id>/', $video_data[$i], $matches) != 0)
		{
			$info['yt_id'] = $matches[1];
		}
		//	tags
		if(preg_match('/<media:keywords>(.*?)<\/media:keywords>/', $video_data[$i], $matches) != 0)
		{
			$info['tags'] = $matches[1];
		}
		//	mp4
		if(preg_match('/<media:content (.*?) type=\"video\/mp4\" url=\"(.*?)\"(.*?)>/', $video_data[$i], $matches) != 0)
		{
			$info['mp4'] = $matches[2];
		}
		//	flv
		if(preg_match('/<media:content (.*?) type=\"video\/x-flv\" url=\"(.*?)\"(.*?)>/', $video_data[$i], $matches) != 0)
		{
			$info['url_flv'] = $matches[2];
		}
		//	title
		if(preg_match('/<media:title>(.*?)<\/media:title>/', $video_data[$i], $matches) != 0)
		{
			$info['video_title'] = str_replace('"', '', $matches[1]);
		}
	}
	
	$info['direct'] = 'http://blip.tv/file/'.$info['yt_id'];
	
}

function download_thumb($thumbnail_link, $upload_path, $video_uniq_id) {
	
	$last_ch = substr($upload_path, strlen($upload_path)-1, strlen($upload_path));
	if($last_ch != "/")
		$upload_path .= "/"; 

	//	get image ext.
	//$ext = substr($thumbnail_link, strlen($thumbnail_link)-4, strlen($thumbnail_link));
	$tmp = explode(".", $thumbnail_link);
	$ext = $tmp[ count($tmp)-1 ];
	$ext = "." . $ext;

	//	force image type: jpg
	$ext = ".jpg";
	
	//	thumbnail's name is based on the video's unique id.
	$thumb_name = $video_uniq_id . "-1" . $ext;
	
	//	kill the execution if a file with this name was found;
	if(is_file( $upload_path . $thumb_name )) {
		//	slick chances for this to happen
		return FALSE;
	}
	
	$error = 0;
	if( ini_get('allow_url_fopen') == 1 )
	{
		// try copying it... if it fails, go to backup method.
		if(!copy($thumbnail_link, $upload_path . $thumb_name ))
		{
			//	create a new image
			list($img_width, $img_height, $img_type, $img_attr) = @getimagesize($thumbnail_link);

			$image = '';

			switch($img_type)
			{
				case 1:
					//GIF
					$image = imagecreatefromgif($thumbnail_link);
					$ext = ".gif";
				break;
				case 2:
					//JPG
					$image = imagecreatefromjpeg($thumbnail_link);
					$ext = ".jpg";
				break;  
				case 3:
					//PNG
					$image = imagecreatefrompng($thumbnail_link);
					$ext = ".png";
				break;
			}
			
			$resource = @imagecreatetruecolor($img_width, $img_height);
			if( function_exists('imageantialias'))
			{
				@imageantialias($resource, true); 
			}
			
			@imagecopyresampled($resource, $image, 0, 0, 0, 0, $img_width, $img_height, $img_width, $img_height);
			@imagedestroy($image);
		}
		
		$thumb_name = $video_uniq_id . "-1" . $ext;
		
		$img_type = 2;
		switch($img_type)
		{
			default:
			case 1:
				//GIF
				@imagegif($resource, $upload_path . $thumb_name);
			break;
			case 2:
				//JPG
				@imagejpeg($resource, $upload_path . $thumb_name);
			break;  
			case 3:
				//PNG
				@imagepng($resource, $upload_path . $thumb_name);
			break;
		}
		
		if($resource === '')
			$error = 1;
	}
	elseif( (ini_get('allow_url_fopen') == 1 && $error == 1) || ini_get('allow_url_fopen') == 0 ) 	//	Use cURL;
	{	
		if ( function_exists('curl_init') ) {

			$ch = curl_init();
			$timeout = 0;
			curl_setopt ($ch, CURLOPT_URL, $thumbnail_link);
			curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
			
			// Getting binary data
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_BINARYTRANSFER, 1);
			
			$image = curl_exec($ch);
			curl_close($ch);
			
			//	create & save image;
			$img_res = @imagecreatefromstring($image);
			if($img_res === false)
				return FALSE;
			
			$img_width = imagesx($img_res);
			$img_height = imagesy($img_res);
			
			$resource = @imagecreatetruecolor($img_width, $img_height);
			
			if( function_exists('imageantialias'))
			{
				@imageantialias($resource, true); 
			}
			
			@imagecopyresampled($resource, $img_res, 0, 0, 0, 0, $img_width, $img_height, $img_width, $img_height);
			@imagedestroy($img_res);
		
			switch($ext)
			{
				case ".gif":
					//GIF
					@imagegif($resource, $upload_path . $thumb_name);
				break;
				case ".jpg":
					//JPG
					@imagejpeg($resource, $upload_path . $thumb_name);
				break;  
				case ".png":
					//PNG
					@imagepng($resource, $upload_path . $thumb_name);
				break;
			}
		} 
	}
	return $upload_path . $thumb_name;
}

function do_main(&$video_details, $url)
{
	$video_data = get_info($url);
	video_details($video_data, $url, $video_details);
}

?>