<?php

// +------------------------------------------------------------------------+
// | PHP Melody version 1.5.1 / Release date: October 21, 2008
// +------------------------------------------------------------------------+
// | PHP Melody IS NOT FREE SOFTWARE
// | If you have downloaded this software from a website other
// | than www.phpsugar.com or if you have otherwise received
// | this software from someone who is not a representative of
// | this site you are involved in an illegal activity.
// | ---
// | In such case, please contact us at: support@phpsugar.com.
// +------------------------------------------------------------------------+
// | Developed by: phpSugar (www.phpsugar.com) / support@phpsugar.com
// | Copyright: (c) 2004-2008 PhpSugar.com. All rights reserved.
// +------------------------------------------------------------------------+

$showm = '2';
include('header.php');

$action	= (int) $_GET['action'];
$page	= (int) $_GET['page'];

if(empty($page) || !is_numeric($page))
	$page = 1;

$limit = 20;	//	videos per page
$from = $page * $limit - ($limit);

$total_videos = count_entries('pm_videos', '', '');

if(!empty($_POST['submit']) && $_POST['submit'] == 'Search') 
{
	$search_query = secure_sql(trim($_POST['keywords']));
	$search_type = $_POST['search_type'];

	$videos = a_list_videos($search_query, $search_type, $from, $limit, $page);
	$total_videos = preg_match_all("/<\/tr>/", $videos, $matches);
} 
else 
{
	if($total_videos - $from == 1)
		$page--;
		
	$videos = a_list_videos('', '', $from, $limit, $page); 
	
	if($total_videos - $from == 1)
		$page++;	
}

// generate smart pagination
$filename = basename($_SERVER['PHP_SELF']);
$pagination = '';

if(!isset($_POST['submit'])) 
	$pagination = generate_smart_pagination($page, $total_videos, $limit, 5, $filename, '');

?>
<div id="sub_menu">
<li><a href="addvideo.php">Add new video</a></li>
<li><a href="import.php">Import from Youtube</a></li>

<li><a href="import_user.php">Import from Youtube User</a></li>

<li><a href="reports.php">Reported Videos</a></li>
<li><a href="approve.php">Approve Videos</a></li>
<li><a href="voth.php">Change video of the day</a></li>
</div>
<div id="content">
<h2>Videos manager</h2>
<div id="more_v_details">
You have <a href="approve.php"><?=count_entries('pm_temp', '', '')?> videos</a> pending approval and <a href="reports.php"><?=count_entries('pm_reports', '', '')?> videos</a> that have been reported by the users.
</div>
<br />
<?
if(!empty($action) && $action != 9) 
{
	echo "<div class=\"info_msg_err\">The item has been deleted.</div>";
}

//	Batch Delete
if($_POST['Submit'] == 'Delete checked')
{
	$video_ids = array();
	$video_ids = $_POST['video_ids'];
	
	$total_ids = count($video_ids);
	if($total_ids > 0)
	{
		$in_arr = '';
		for($i = 0; $i < $total_ids; $i++)
		{
			$in_arr .= "'" . $video_ids[ $i ] . "', ";
		}
		$in_arr = substr($in_arr, 0, -2);
		if(strlen($in_arr) > 0)
		{
			$sql = "DELETE FROM pm_videos WHERE uniq_id IN (" . $in_arr . ")";
			$result = @mysql_query($sql);
			
			if(!$result)
				echo '<div class="info_msg_errimg">There was an error while updating your database.<br />MySQL returned: '.mysql_error().'</div>';
			else
			{
				@mysql_query("DELETE FROM pm_comments WHERE uniq_id IN (" . $in_arr . ")");
				@mysql_query("DELETE FROM pm_ratings WHERE id IN (" . $in_arr . ")");
				@mysql_query("DELETE FROM pm_reports WHERE entry_id IN (" . $in_arr . ")");
				@mysql_query("DELETE FROM pm_videos_urls WHERE uniq_id IN (" . $in_arr . ")");
				@mysql_query("DELETE FROM pm_favorites WHERE uniq_id IN (" . $in_arr . ")");
				@mysql_query("DELETE FROM pm_chart WHERE uniq_id IN (" . $in_arr . ")");
				@mysql_query("DELETE FROM pm_tags WHERE uniq_id IN (" . $in_arr . ")");
				
				echo '<div class="info_msg_ok">The selected items have been deleted.</div>';
			}
		}
	}
	else
		echo '<div class="info_msg_ok">No items were selected!</div>';
	$videos = a_list_videos('', '', $from, $limit, $page); 
}

//	Delete all videos
if($action == 9)
{
	//	clear database of all videos
	if(isset($_POST['Submit']))
	{
		if($_POST['Submit'] == 'Yes')
		{
			$sql = "TRUNCATE TABLE pm_videos";
			$result = @mysql_query($sql);
			if(!$result)
			{
				echo 'Mysql Error: '.mysql_error();
			}
			else
			{
				//	Everything else is useless now...
				
				//	pm_videos extension table
				$sql = "TRUNCATE TABLE pm_videos_urls";
				$result = @mysql_query($sql);
				if(!$result)
					echo 'Mysql Error: '.mysql_error();
				
				//	comments table
				$sql = "TRUNCATE TABLE pm_comments";
				$result = @mysql_query($sql);
				if(!$result)
					echo 'Mysql Error: '.mysql_error();
				
				//	favorites table
				$sql = "TRUNCATE TABLE pm_favorites";
				$result = @mysql_query($sql);
				if(!$result)
					echo 'Mysql Error: '.mysql_error();
				
				//	tags table
				$sql = "TRUNCATE TABLE pm_tags";
				$result = @mysql_query($sql);
				if(!$result)
					echo 'Mysql Error: '.mysql_error();
				
				//	reports table
				$sql = "TRUNCATE TABLE pm_reports";
				$result = @mysql_query($sql);
				if(!$result)
					echo 'Mysql Error: '.mysql_error();
				
				//	ratings table
				$sql = "TRUNCATE TABLE pm_ratings";
				$result = @mysql_query($sql);
				if(!$result)
					echo 'Mysql Error: '.mysql_error();
				
				//	chart table
				//	tags table
				$sql = "TRUNCATE TABLE pm_chart";
				$result = @mysql_query($sql);
				if(!$result)
					echo 'Mysql Error: '.mysql_error();
			}
		
			echo '<div class="info_msg_ok">Your database is now clean as a whistle.</div>';
		}
		else
		{
			echo '<meta http-equiv="refresh" content="0;URL=videos.php" />';
			exit();
		}
	}
	else
	{
	?>
		<div class="info_msg_err">
			Are you sure you want to delete all your videos? Clicking 'YES' will remove absolutely all existing videos.
		</div>
		<br />
		<form name="delete" method="post" action="videos.php?action=9">
			<input type="submit" name="Submit" value="Yes" class="inputbutton" style="position:relative"/> <input type="submit" name="Submit" value="Cancel" class="inputbutton" style="position:relative" />
		</form>

	<?php
	include('footer.php');
	exit();
	}
}
else
{
?>
<table width="100%" border="0" cellspacing="1" cellpadding="3">
  <tr>
    <td valign="top">
	<form name="search" action="videos.php" method="post" onsubmit="return validateSearch('true');">
	<input type="text" name="keywords" value="<?=$_POST['keywords']?>" />
	<select name="search_type">
	  <option value="artist" selected="selected">Artist/Band</option>
	  <option value="video_title">Video title</option>
	  <option value="uniq_id">Video Unique ID</option>
	</select>
	<input name="submit" type="submit" value="Search" class="inputbutton" /><br />
	<small>Please make the search as descriptive as possible.</small>
	</form>	</td>
    <td width="220" valign="top"><div class="totals">Total videos: <?=$total_videos?> </div></td>
  </tr>
  <tr>
    <td valign="top">&nbsp;</td>
    <td align="right" valign="top"><a href="videos.php?action=9" class="b_delete">Delete all videos</a></td>
  </tr>
</table>
<form name="videos_checkboxes" action="videos.php?page=<?php echo $page;?>" method="post">
 <table id="videosSortTable" class="tablesorter" cellspacing="1">
  <thead>
   <tr>
	<th align="center" width="10"><input type="checkbox" name="checkall" onclick="checkUncheckAll(this);"/></th>
	<th width="80">Unique ID</th>
    <th>Video title</th>
    <th width="90">Added</th>
    <th>Category</th>
	<th width="120">Video Source</th>
    <th>Comments</th>
    <th width="90">Action</th>
   </tr>
  </thead>
  <tbody>
	<?=$videos?>
  </tbody>
 </table>
 <table>
    <tr style="background-color: #fff;">
	<td colspan="2" align="left"><input type="submit" name="Submit" value="Delete checked" class="deletebutton"></td>
   </tr>
 </table>

</form>
<div align="center"><?=$pagination?></div>
</div>

<?
}	//	else - if($action == 9)
include('footer.php');
?>