<?php
session_start();

// +------------------------------------------------------------------------+
// | PHP Melody version 1.5.1 / Release date: October 21, 2008
// +------------------------------------------------------------------------+
// | PHP Melody IS NOT FREE SOFTWARE
// | If you have downloaded this software from a website other
// | than www.phpsugar.com or if you have otherwise received
// | this software from someone who is not a representative of
// | this site you are involved in an illegal activity.
// | ---
// | In such case, please contact us at: support@phpsugar.com.
// +------------------------------------------------------------------------+
// | Developed by: phpSugar (www.phpsugar.com) / support@phpsugar.com
// | Copyright: (c) 2004-2008 PhpSugar.com. All rights reserved.
// +------------------------------------------------------------------------+

require('config.php');
require_once('include/functions.php');
require_once('include/user_functions.php');
require_once('include/islogged.php');
$message = '';

$dn = strtolower(get_dn( _URL ));
$rf = strtolower(get_dn( $_SERVER['HTTP_REFERER'] ));

if( strcmp($dn, $rf) != 0)
{
	exit();
}

if(($logged_in == 1) || ($logged_in == 0 && $config['guests_can_comment'] == 1)) {
	if(isset($_POST['vid'])) {
	if($logged_in == 1)
	{
		$vid = secure_sql($_POST['vid']);//addslashes($_POST['vid']);
		$ip = secure_sql($_SERVER['REMOTE_ADDR']);//(addslashes($_SERVER['REMOTE_ADDR']);
		$user = $userdata['username'];
		$user_id = $userdata['id'];
	} else {
		$vid = secure_sql($_POST['vid']);
		$ip = secure_sql($_SERVER['REMOTE_ADDR']);
		$user = trim($_POST['username']);
		$user = unspecialchars($user, 1);
		$user = secure_sql($user);
		$user_id = $_POST['user_id'];
		if($user == '')
		{
			$message = json_encode(array("cond" => false, "msg" => $lang['comment_msg1']));
			echo $message;
			exit();
		}
	}
	$added = time();
	// ** PREP THE COMMENT FOR MYSQL OR REMOVE IT IF IT'S SPAM ** //
	$comment = trim($_POST['comment_txt']);
	$comment = nl2br($comment);
	$comment = removeEvilTags($comment);
	$comment = secure_sql($comment);
	if($comment == '')
	{
		$message = json_encode(array("cond" => false, "msg" => $lang['comment_msg2']));
		echo $message;
		exit();
	}
	//$comment = removeEvilTags(addslashes($_POST['comment_txt']));
	if(_STOPBADCOMMENTS == '1') {
	$comment = search_bad_words($comment); // this line prevents adding any comment that contains bad words (bad_words.txt). This can be configured in config.php
	}
	$comment = word_wrap_pass($comment);
	if($logged_in == 0)
	{
		//	Check captcha code
		include ("include/securimage.php");
		$img = new Securimage();
		$valid_captcha = $img->check($_POST['captcha']);
		if( !$valid_captcha && $_POST['captcha'] != '') 
		{
			$message = json_encode(array("cond" => false, "msg" => $lang['register_err_msg1']));
			echo $message;
			exit();
		}
		elseif( $_POST['captcha'] == '')
		{
			$message = json_encode(array("cond" => false, "msg" => $lang['type_captcha']));
			echo $message;
			exit();
		}
	}
	// check for duplicate comments/spam
	//$query = @mysql_query("SELECT * FROM pm_comments WHERE uniq_id = '".$vid."' AND username = '".$user."' AND comment = '".$comment."' AND user_ip = '".$ip."'");
	$query = @mysql_query("SELECT id FROM pm_comments WHERE uniq_id = '".$vid."' AND user_id = '".$user_id."' AND comment LIKE '".$comment."' AND user_ip = '".$ip."'");
	$count = @mysql_num_rows($query);
	if($count >= 1) {
		$message = json_encode(array("cond" => false, "msg" => $lang['comment_msg3']));
	}	// end checking for spam
	elseif($count == 0 && !empty($comment)) {
	//mysql_query("INSERT INTO pm_comments SET uniq_id = '".$vid."', username = '".$user."', comment = '".$comment."', user_ip = '".$ip."', added = '".$added."'");
		$sql = "INSERT INTO pm_comments SET uniq_id = '".$vid."', username = '".$user."', comment = '".$comment."', user_ip = '".$ip."', added = '".$added."', user_id = '".$user_id."'";
		if($config['comm_moderation_level'] == MODERATE_ALL)
			$sql .= ", approved = '0'";
		elseif(($config['comm_moderation_level'] == MODERATE_GUESTS) && ($logged_in == 0))
			$sql .= ", approved = '0'";
		else	//	no moderation or the user is logged in;
			$sql .= ", approved = '1'";
					
		$result = @mysql_query($sql);

		if(!$result)
		{
			$message = json_encode(array("cond" => false, "msg" => $lang['comment_msg4']));
		}
		else
		{
			if(($config['comm_moderation_level'] == MODERATE_ALL) || (($config['comm_moderation_level'] == MODERATE_GUESTS) && ($logged_in == 0)))
			{
				$message = json_encode(array("cond" => true, "msg" => $lang['comment_msg5']));
			}
			else
			{
				//	preview comment
				$prev_user = $user;
				if($user_id == 0)
				{
					$prev_user = '<strong>'.$user.'</strong>';
					$avatar_url = _URL."/"._UPFOLDER."/avatars/no_avatar.gif";
				}
				elseif($user_id > 0)
				{
					$q = @mysql_query("SELECT gender, avatar FROM pm_users WHERE id = '".$user_id."'");
					$u = @mysql_fetch_array($q);
					if(empty($u['avatar']) || $u['avatar'] == 'no_avatar.gif')
					{
						$avatar_url = _URL."/"._UPFOLDER."/avatars/".$u['gender'].".gif";
					} 
					else 
					{
						$avatar_url = _URL."/"._UPFOLDER."/avatars/".$u['avatar'];
					}
					$prev_user = "<a href=\""._URL."/profile."._FEXT."?u=".$prev_user."\" rel=\"nofollow\">".$prev_user."</a>";
				}
				
				$avatar_url = '<img src="'.$avatar_url.'" alt="'.$user.'" border="0" width="80" height="80" class="avatar_img" align="left" />';
				
				$added = "(";
				$added .= time_since(time());
				$added .= " ".$lang['ago'].")";
				$comment = str_replace('\n', "", $comment);
				
				$html = '<p>'.$avatar_url.' '.$prev_user.' <small>'.$added.'</small>:<br />
'.$comment.'</p>';
				
				$message = json_encode(array("cond" => true,
											 "msg" => $lang['comment_msg6'], 
											 "preview" => true,
											 "html" => $html
										));
			}
		}
		//	set a cookie to remember this guest
		if($logged_in != 1 && $_COOKIE[COOKIE_AUTHOR] == '' || (strcmp($_COOKIE[COOKIE_AUTHOR], specialchars($user)) != 0))
		{
			setcookie(COOKIE_AUTHOR, specialchars($user), time() + COOKIE_TIME, COOKIE_PATH);
		}
	}
	} else {
	$message = json_encode(array("cond" => false, "msg" => $lang['comment_msg4']));
	}
}
else {
exit;
}
echo $message;
?>