<?php
// +------------------------------------------------------------------------+
// | PHP Melody version 1.5.1 / Release date: October 21, 2008
// +------------------------------------------------------------------------+
// | PHP Melody IS NOT FREE SOFTWARE
// | If you have downloaded this software from a website other
// | than www.phpsugar.com or if you have otherwise received
// | this software from someone who is not a representative of
// | this site you are involved in an illegal activity.
// | ---
// | In such case, please contact us at: support@phpsugar.com.
// +------------------------------------------------------------------------+
// | Developed by: phpSugar (www.phpsugar.com) / support@phpsugar.com
// | Copyright: (c) 2004-2008 PhpSugar.com. All rights reserved.
// +------------------------------------------------------------------------+

// Not sure how to configure PHP Melody? Please read the Installation Manual 
// or visit http://www.phpsugar.com/phpmelody_videos.html
// +------------------------------------------------------------------------+

// index page
$lang['homepage_title'] = 'Great Music Videos from %s';
$lang['homepage_install_msg'] = 'Please delete the file <strong>install.php</strong> from your root directory after installation. <br />
If you haven\'t installed the site yet, please proceed to the <a href="install.php">installation process</a>.';

// menu
$lang['homepage'] = 'Homepage';
$lang['top_videos'] = 'Top Videos';
$lang['new_videos'] = 'New Videos';
$lang['random_video'] = 'Random video';
$lang['my_profile'] = 'My profile';
$lang['profile'] = 'profile';
$lang['my_favorites'] = 'My Favorites';
$lang['suggest'] = 'Suggest video';
$lang['logout'] = 'Logout';
$lang['contact_us'] = 'Contact us';
$lang['register'] = 'Register';
$lang['top'] = 'Top';
$lang['admin_area'] = 'Admin Area';

$lang['members_list'] = 'Members list';
$lang['edit_profile'] = 'Edit profile';
$lang['edit'] = 'Edit';
$lang['update_avatar'] = 'Update avatar';

$lang['now_playing'] = 'Now Playing';
$lang['no_vids_playing'] = 'No videos are being watched right now.';

$lang['online_users'] = 'Online users';
$lang['total_users'] = 'Total users';
$lang['total_videos'] = 'Total videos';
$lang['videos_added_lw'] = 'Videos added last week';

$lang['top_m_videos'] = 'Top Music Videos';
$lang['top_m_videos_from'] = 'Top Music Videos from %s';
$lang['genre'] = 'Genre';
$lang['members'] = 'Members';
$lang['mvotd'] = 'Music Video of the day';
$lang['vbwrn'] = 'Videos being watched right now';
$lang['site_stats'] = 'Site Statistics';

$lang['recently_added'] = 'Recently added Music Videos';
$lang['select'] = 'Select one';
$lang['any_time'] = 'All time';
$lang['today'] = 'Today';
$lang['yesterday'] = 'Yesterday';
$lang['this_month'] = 'This month';
$lang['artist'] = 'Artist';
$lang['video'] = 'Video title';
$lang['added'] = 'Added';
$lang['nv_page_sorry_msg'] = 'Sorry, there are no new videos matching this date.';
$lang['nv_page_title'] = 'New Music Videos from %s';

$lang['gender'] = 'Gender';
$lang['male'] = 'Male';
$lang['female'] = 'Female';
$lang['country'] = 'Country';
$lang['member_since'] = 'Member since';
$lang['status'] = 'Status'; // online or offline
$lang['last_seen'] = 'Last seen';
$lang['about_me'] = 'About me';
$lang['profile_msg_list_empty'] = 'My favorite videos list is empty.';
$lang['update_avatar'] = 'Update avatar';
$lang['edit_profile'] = 'Edit profile';
$lang['profile_watch_all'] = 'Watch all &raquo;';

//	time span, dates
$lang['year'] = 'year';
$lang['years'] = 'years';
$lang['month'] = 'month';
$lang['months'] = 'months';
$lang['week'] = 'week';
$lang['weeks'] = 'weeks';
$lang['day'] = 'day';
$lang['days'] = 'days';
$lang['hour'] = 'hour';
$lang['hours'] = 'hours';
$lang['minute'] = 'minute';
$lang['minutes'] = 'minutes';
$lang['second'] = 'second';
$lang['seconds'] = 'seconds';
$lang['ago'] = 'ago';


$lang['sorting'] = 'Sorting';
$lang['by_time'] = 'By time';
$lang['by_cat'] = 'By category';
$lang['yesterdays_top'] = 'Yesterday\'s top videos';
$lang['rank'] = 'Rank';
$lang['views'] = 'Views';
$lang['submittedby'] = 'Submitted by';

$lang['next'] = 'next';
$lang['prev'] = 'prev';

$lang['return_to_ppage'] = 'Return to the previous page';

$lang['suggest_new_video'] = 'Suggest new video';
$lang['suggest_msg1'] = 'The video you just submitted is already in our database.';
$lang['suggest_msg2'] = 'The video you just submitted is currently pending approval. <br />Please try submitting another one.';
$lang['suggest_msg3'] = 'The video URL you just added is not vaild. <br />Please try again.';
$lang['suggest_msg4'] = 'Success! Your video has been submitted for approval.';
$lang['suggest_msg5'] = 'Sorry, this video source is not available at this time.';

$lang['add_another_one'] = 'Add another one';
$lang['return_home'] = 'Return home';
$lang['category'] = 'Category';
$lang['description'] = 'Description';
$lang['tags'] = 'Tags';
$lang['suggest_ex'] = '(tags separated by commas; i.e. madonna, justin timberlake, live)';
$lang['suggest_note'] = 'Notes';
$lang['suggest_note_msg'] = 'Please remember that you can suggest videos from these locations: YouTube, Google Video, MySpace TV, MetaCafe, DailyMotion, Veoh, Current.com, ClipFish.de, MyVideo.de, Break.com and EyeSpot.com. Submissions from other sites will be rejected.';

$lang['ua_msg1'] = 'Make your comments stand out with a little color. Update your avatar right now.';
$lang['ua_msg2'] = 'Select an image from your hard drive';
$lang['ua_msg3'] = 'Your avatar has been uploaded successfully.';
$lang['ua_msg4'] = 'There was an error while uploading your avatar. Please contact the webmaster to solve this problem.';
$lang['ua_msg5'] = 'The file has to be a jpg, jpeg, png or gif. Please try again';
$lang['upload_avatar'] = 'Upload your avatar %s';
$lang['return_to_profile'] = 'Return to your profile';

$lang['activate_account'] = 'Account activation';
$lang['activate_account_msg1'] = 'Your account is now active. Thank you for registering!';

$lang['activate_pass'] = 'Activate new password';
$lang['activate_pass_msg1'] = 'Your new password has been activated. You can sign in your account and change it to something you will remember.';

$lang['date'] = 'Date';
$lang['length'] = 'Length';
$lang['related_cats'] = 'Related Categories';

$lang['contact_msg1'] = 'Thanks for e-mailing us! Have a great day.';
$lang['contact_msg2'] = 'You have to write a message';
$lang['your_name'] = 'Your name';
$lang['your_email'] = 'Your email';
$lang['your_username'] = 'Your username';
$lang['importance'] = 'Importance';
$lang['low'] = 'Low';
$lang['normal'] = 'Normal';
$lang['high'] = 'High';
$lang['urgent'] = 'Urgent';
$lang['in_regard'] = 'In regard to';
$lang['bug_report'] = 'Bug Report';
$lang['suggestions'] = 'Suggestions';
$lang['general_q'] = 'General Questions';
$lang['other'] = 'Others';
$lang['your_message'] = 'Your message';
$lang['type_captcha'] = 'Please type the code you see in the image!';

$lang['link_to_vid'] = 'Link to this video';
$lang['dp_alt_1'] = 'This video is already in your favorites list.';
$lang['dp_alt_2'] = 'Sorry, your favorites list is FULL.';
$lang['post_comment'] = 'Post your comment';
$lang['post_comment_notice'] = 'Please keep your comments clean. Max 400 chars.';
$lang['your_comment'] = 'Your comment';
$lang['confirm_comment'] = 'Confirm';
$lang['comments'] = 'Comments';
$lang['be_the_first'] = 'Be the first to comment on this video.';
$lang['take_action'] = 'Take action';
$lang['report_video'] = 'Report this video';
$lang['share_video'] = 'Share Video';
$lang['embed_video'] = 'Embed to MySpace/Hi5';
$lang['email_video'] = 'Send to your friends';
$lang['tab_related'] = 'Related';
$lang['tab_same_artist'] = 'Same Artist';
$lang['tab_best'] = 'Best in category';
$lang['bookmark'] = 'BOOKMARK VIDEO';
$lang['detail_title'] = '%s Music Video by %s';
$lang['must_sign_in'] = '<a href="%s">Sign in</a> or <a href="%s">sign up</a> to post comments.';

$lang['update_profile'] = 'Update profile';
$lang['ep_msg1'] = 'Your profile has been updated.';
$lang['proceed'] = 'Click here to proceed';
$lang['ep_msg2'] = 'In case you changed your password, we recommend you re-login. You will be redirected to the homepage in less than 5 seconds.';
$lang['ep_msg3'] = 'You can share your hobbies, favorite artists and songs. Anything you want.';
$lang['ep_msg4'] = 'Try again. This is not your current password.';
$lang['ep_msg5'] = 'Leave blank if you don\'t want to change your password.';
$lang['ep_msg6'] = 'Wrong Password';
$lang['ep_msg7'] = 'Please select your country';
$lang['ep_msg8'] = 'There was a problem while uploading your profile. Please contact the administrator of this site for help.';
$lang['ep_msg9'] = 'There was a problem while fetching data from database.';
$lang['change_pass'] = 'Change Password?';
$lang['existing_pass'] = 'Current Password';
$lang['new_pass'] = 'New Password';
$lang['other_info'] = 'Other information';
$lang['public'] = 'Public';
$lang['private'] = 'Private';

$lang['login'] = 'Login';
$lang['loggedin'] = 'Welcome! You are logged in.';
$lang['problems_maybe'] = 'There may be some problems with:';

$lang['search_results'] = 'Search Results';
$lang['search_results_msg1'] = 'Sorry, your search did not yield any results. Please try searching for similar terms.';
$lang['search_results_msg2'] = 'Please use the search box to find a video or an artist.';
$lang['search_results_msg3'] = 'Live search suggestion isn\'t available right now';

$lang['retrieve_pass'] = 'Retrieve your password';
$lang['fp_msg'] = 'Please check your Inbox. A new password will be sent to you in a few minutes.';

$lang['avatar'] = 'Avatar';
$lang['username'] = 'Username';
$lang['password'] = 'Password';
$lang['remember_me'] = 'Remember Me';
$lang['forgot_pass'] = 'Forgot your password?';
$lang['name'] = 'Name';
$lang['whois_online'] = 'Who\'s online?';
$lang['memberlist_all'] = 'All';
$lang['memberlist_msg1'] = 'Sorry, there are no online members at this moment.';
$lang['memberlist_msg2'] = 'Sorry, no registered members found.';
$lang['memberlist_on'] = 'Online';
$lang['memberlist_off'] = 'Offline';
$lang['profile_title'] = '%s Profile page on %s';

$lang['close'] = 'Close this page';

$lang['friends_email'] = 'Friend\'s Email';
$lang['share_msg1'] = 'Your message has been sent. This should keep your friend happy for today.';
$lang['share_msg2'] = 'You can copy/paste this code and place it in just about any forum. Thanks for sharing!';
$lang['share_msg3'] = 'Add this video to your MySpace profile with just one click. Cool!';
$lang['share_msg4'] = 'Add this video to your HI5 profile with just one click. Cool!';
$lang['share_msg5'] = 'Selecting the text area above will automatically copy the HTML code to your clipboard.';
$lang['share_msg6'] = 'Music video code has been copied to your clipboard.';
$lang['share_msg7'] = 'Your friend will receive this video in a few seconds. We\'re sure he\'ll be happy! \n Please click OK to close window';
$lang['report_msg1'] = 'Thank you! Your report has been submitted to the administrator. \n Please click OK to close window';
$lang['report_msg2'] = 'Thank you! Your report has been submitted to the administrator.';
$lang['report_form1'] = 'Specify problem';
$lang['report_form2'] = 'Not working';
$lang['report_form3'] = 'Wrong video';
$lang['report_form4'] = 'Dead video';
$lang['report_form5'] = 'SPAM';
$lang['report_form6'] = 'Racist or hate content';
$lang['report_form7'] = 'Copyrighted Content';
$lang['report_vp'] = 'Report video problem';
$lang['report_vc'] = 'Report video comment';

$lang['create_account'] = 'Create your account';
$lang['register_msg1'] = 'Success! Your account has been created.';
$lang['register_msg2'] = 'An e-mail containing your account information was sent to';
$lang['register_msg3'] = 'Join our video website and enjoy all the benefits. We\'re waiting';
$lang['register_msg4'] = 'Your account has been created but is currently inactive. To activate your account you must visit the link provided in the email.';
$lang['register_msg5'] = 'You account is active so please proceed to the homepage to login.';
$lang['register_err_msg1'] = 'The code you have entered is incorrect';
$lang['register_err_msg2'] = 'Email Address is not valid';
$lang['register_err_msg3'] = 'Email Address is already in use';
$lang['register_err_msg4'] = 'Username is too short (less than 4 characters long)';
$lang['register_err_msg5'] = 'Invalid characters found in Username';
$lang['register_err_msg6'] = 'This Username is already taken';
$lang['register_err_msg7'] = 'Password and Confirmation Password don\'t match';
$lang['register_err_msg8'] = 'field is empty';

$lang['account_info'] = 'Account information';
$lang['password_retype'] = 'Re-type Password';
$lang['confirm_pass'] = 'Confirm Password';
$lang['verify_registration'] = 'Verify Registration';
$lang['enter_captcha'] = 'Enter the validation code';
$lang['choose_country'] = 'Please choose a country';
$lang['choose_category'] = 'Please choose a category';

$lang['comment_msg1'] = 'Please fill in your name';
$lang['comment_msg2'] = 'Please write a comment!';
$lang['comment_msg3'] = 'Stop spamming the site!';
$lang['comment_msg4'] = 'There was a problem with your submission. Please try again.';
$lang['comment_msg5'] = 'Thank you! Your comment is waiting to be approved.';
$lang['comment_msg6'] = 'Thank you for your comment!';

$lang['music_videos'] = 'Music Videos';
$lang['page'] = 'Page %s of ';
$lang['browse_msg1'] = 'An error occured, please go back.';
$lang['browse_msg2'] = 'Sorry, there are no titles in this category at the moment.';
$lang['browse_page11'] = 'Page 1 of 1';

$lang['favorites_msg1'] = 'The video has been removed from your list!';
$lang['favorites_msg2'] = 'This user\'s favorite videos list is private.';
$lang['favorites_msg3'] = 'Sorry, there are no videos available.';
$lang['myfavorites_title'] = "%s's Favorite Videos";
$lang['myfavorites_share'] = 'Share your favorites';

$lang['login_msg1'] = 'Username is required!';
$lang['login_msg2'] = 'Password is required!';
$lang['login_msg3'] = 'Incorrect username or password!';
$lang['login_msg4'] = 'Your account is currently inactive. Please activate your account first.';
$lang['login_msg5'] = 'Please enter the email address you supplied when registering.';
$lang['login_msg6'] = 'Please enter your username.';
$lang['login_msg7'] = 'No account has been found with this e-mail address. You should contact the webmaster if you think this is a mistake.';
$lang['login_msg8'] = 'The information you have provided is incorrect.';
$lang['login_msg9'] = 'Could not renew your password. Please contact the administrator and report this problem!';
$lang['login_msg10'] = 'Invalid request.';
$lang['login_msg11'] = 'There was a problem while processing your request. Please try again and if this problem persists, contact the administrator at:';
$lang['login_msg12'] = 'The requested user does not exist in our database';
$lang['login_msg13'] = 'Your account is already active.';
$lang['login_msg14'] = 'The activation key you supplied is invalid.';
$lang['login_msg15'] = 'Please wait to be redirected. If you do not wish to wait, please click <a href="%s">here</a>.';
$lang['login_msg16'] = 'Your account has been suspended!<br />%s';

$lang['rating_current'] = 'Current rating';
$lang['rating_msg1'] = 'You already rated this one.';
$lang['rating_msg2'] = 'Thanks for rating!';
$lang['rating'] = 'Rating';
$lang['show_rating'] = 'Rating: <strong>%s</strong> out of %s %s';
$lang['currently'] = 'Currently %s/5';
$lang['rating_count'] = '%s out of 5';

$lang['lights_off'] = 'Lights off';

$lang['tag_msg1'] = 'Could not perform the search; an error occurred on line';
$lang['top_videos_msg1'] = 'Sorry, no videos from this category qualify.';
$lang['top_videos_msg2'] = 'Sorry, there are no records at this moment.';
$lang['top_videos_last_x_days'] = 'Last %s days';

$lang['mailer_subj1'] = 'Your new account details from %s';
$lang['mailer_subj2'] = '%s sent you a message from %s';
$lang['mailer_subj3'] = 'Your new password from %s';
$lang['mailer_subj4'] = 'Your new account details from %s';
$lang['mailer_subj5'] = '%s sent you a music video';

$lang['submit_send_msg'] = 'Send message';
$lang['submit_comment'] = 'Submit comment';
$lang['submit_save'] = 'Save';
$lang['submit_send'] = 'Send';
$lang['submit_search'] = 'Search';
$lang['submit_upload'] = 'Upload';

// You can only translate or modify the following line if you have paid the 'Footer link removal fee'.
// If you haven't paid this fee please contact support at support@phpsugar.com for instructions on how to do so.
// Thank you!
$lang['powered_by'] = 'This site is powered by <a href="http://www.phpsugar.com/" title="Music Video CMS">PHP Melody</a>.';
$lang['rights_reserved'] = 'All rights reserved';
?>