<?php
$showm = '2';
include('header.php');

$message = '';

$uniq_id	=	$_GET['vid'];
$action		=	(int) $_GET['a'];
$page		=	(int) $_GET['page'];

if(empty($action))	$action = 0;
if(empty($page))	$page	= 0;

if(empty($uniq_id))
{
	$message = "<div class=\"info_msg_err\">There has been an error. Please go back to the previous page</div>";
	echo '<div id="content">';
	echo $message;
	echo '</div>';
	include('footer.php');
	exit();
}

$my_tags = get_video_tags($uniq_id);
$my_tags_str = '';
foreach($my_tags as $k => $arr)
{
	$my_tags_str .= $arr['tag'] . ", ";
}
$my_tags_str = substr($my_tags_str, 0, -2);

//	was the form submitted?
if($_POST['submit'] == "Update" && isset($_POST['categories'])){

	$input = array();
	
	foreach($_POST as $k => $v){
		$input[$k] = secure_sql(trim($v));
	}
	if( is_array($_POST['categories']) !== FALSE ){
		$categories = implode(",", $_POST['categories']);
	}
	else $categories = $_POST['categories'];
	
	$description			=	$input['description'];
	$input['video_title']	=	html_entity_decode($input['video_title']);
	$input['artist']		=	html_entity_decode($input['artist']);
	$input['video_title']	=	str_replace( array("<", ">"), array("&lt;", "&gt;"), $input['video_title']);
	$input['artist']		=	str_replace( array("<", ">"), array("&lt;", "&gt;"), $input['artist']);
	
	if($description != '')
	{
		if((strlen($description) == 4) && ($description == "<br>"))
		{
			$description = '';
		}
	}
	
	if($input['tags'] != '')
	{
		$tags = explode(",", $input['tags']);

		//	remove duplicate tags and 'empty' tags
		$temp = array();
		for($i = 0; $i < count($tags); $i++)
		{
			if($tags[$i] != '')
				if($i <= (count($tags)-1))
				{
					$found = 0;
					for($j = $i + 1; $j < count($tags); $j++)
					{
						if(strcmp($tags[$i], $tags[$j]) == 0)
							$found++;
					}
					if($found == 0)
						$temp[] = $tags[$i];
				}
		}
		$tags = $temp;

		$tags_insert = array();
		foreach($tags as $k => $tag)
		{
			//	handle mistakes
			$tag = stripslashes(trim($tag));
			$tags[$k] = $tag;
			if($tag != '' && (strlen($tag) > 0))
			{
				//	new tags vs old tags
				$found = 0;
				$safe_tag = safe_tag($tag);
				
				foreach($my_tags as $key => $arr)
				{
					if(in_array($safe_tag, $arr))
						$found++;
				}
				if($found == 0)
					$tags_insert[] = $tag;
			}
		}
		//	where there any tags changed or removed?
		$remove_tags = array();
		foreach($my_tags as $k => $v)
		{
			if(in_array($v['tag'], $tags) === false)
			{
				$remove_tags[] = $v['tag_id'];
			} 
		}
		//	insert new tags in database
		if(count($tags_insert) > 0)
		{
			insert_tags($_POST['uniq_id'], $tags_insert);
		}
		
		//	remove left-out tags
		if(count($remove_tags) > 0)
		{
			$this_arr = '';
			$this_arr = implode(",", $remove_tags);
			$sql2 = "DELETE FROM pm_tags WHERE tag_id IN(".$this_arr.")";
			$result2 = mysql_query($sql2);	// or die(mysql_error());
		}
	}
	elseif(($input['tags'] == '') && (strlen($my_tags_str) > 0))
	{
		//	remove all tags for this video
		$sql = "DELETE FROM pm_tags WHERE uniq_id = '".$_POST['uniq_id']."'";
		$result = mysql_query($sql);
		if(!$result)
			echo "<div class=\"info_msg_err\">There was a problem during update: <b>could not update tags</b>!</div>";
	}
	//	Reset tags so that they show up nice and updated in the form
	$my_tags = get_video_tags($uniq_id);
	$my_tags_str = '';
	foreach($my_tags as $k => $arr)
	{
		$my_tags_str .= $arr['tag'] . ", ";
	}
	$my_tags_str = substr($my_tags_str, 0, -2);

	$sql = "UPDATE pm_videos 
			SET artist = '".$input['artist']."', 
				video_title = '".$input['video_title']."', 
				submitted = '".$input['submitted']."', 
				category= '".$categories."', 
				description = '".$description."',
				yt_thumb = '".$input['yt_thumb']."',
				language = '".$input['language']."'";
	
	$input['source_id'] = (int) $input['source_id'];
	if($input['source_id'] != '' && $input['source_id'] != 1 && $input['source_id'] != 2)
	{
		//	was the Direct link to video changed?
		if(strcmp($input['direct'], $input['direct-original']) != 0)
		{
			define('PHPMELODY', true);
			$sources = fetch_video_sources();
			
			$use_this_src = -1;
					
			if($sources === false || count($sources) == 0)
			{
				$use_this_src = $input['source_id'];
			}
			else
			{
			 foreach($sources as $src_id => $source)
			 {
			   if($source['source_id'] != 1 && $source['source_id'] != 2)
			   {
				if(preg_match($source['source_rule'], $input['direct']))
				{
					$use_this_src = $src_id;
					break;
				}
			   }
			 }
			}

			if($use_this_src == -1)
			{
				$use_this_src = $input['source_id'];
			}
			
			$input['source_id'] = $use_this_src;
			
			require_once( "./src/" . $sources[ $use_this_src ]['source_name'] . ".php");
			
			$temp = array();
			do_main($temp, $input['direct']);
			
			$sql .= ", yt_id = '".$temp['yt_id']."'";
			$sql .= ", url_flv = '".$temp['url_flv']."'";
			$sql .= ", source_id = '".$input['source_id']."'";
			
			$sql2 = "UPDATE pm_videos_urls SET direct='".$input['direct']."' WHERE uniq_id='".$_POST['uniq_id']."'";
			$result = mysql_query($sql2);
			unset($temp, $sql2);
		}
		//	was the flv location changed?
		elseif(strcmp($input['url_flv'], $input['url_flv-original']) != 0)
		{
			$sources = fetch_video_sources();
			
			$use_this_src = -1;
					
			if($sources === false || count($sources) == 0)
			{
				$use_this_src = $input['source_id'];
			}
			else
			{
			 foreach($sources as $src_id => $source)
			 {
			   if($source['source_id'] != 1 && $source['source_id'] != 2)
			   {
				if(preg_match($source['source_rule'], $input['url_flv']))
				{
					$use_this_src = $src_id;
					break;
				}
			   }
			 }
			}
			
			if($use_this_src == -1)
			{
				$use_this_src = $input['source_id'];
			}
			
			$input['source_id'] = $use_this_src;
			
			$yt_id = '';
			if(preg_match("/youtube\.com/i", $input['url_flv']))
			{
				preg_match("/video_id=([^(\&|$)]*)/i", $input['url_flv'], $matches);
				$yt_id = $matches[1];
				unset($matches);
			}
			
			if($yt_id != '')
			{
				$sql .= ", yt_id = '".$yt_id."'";
			}
			$sql .= ", url_flv = '".$input['url_flv']."'";
			$sql .= ", source_id = '".$input['source_id']."'";
		}
	}
	elseif($input['source_id'] == 1 || $input['source_id'] == 2)
	{
		/*
			localhost or 'other';
		*/
		if(strcmp($input['url_flv'], $input['url_flv-original']) != 0)
		{
			$sql .= ", url_flv = '".$input['url_flv']."'";
		}
	}

	$sql .= " WHERE uniq_id= '".$_POST['uniq_id']."' LIMIT 1";

	$result = @mysql_query($sql);

	if(!$result)
	{
		$message = "<div class=\"info_msg_err\">There was a problem encountered during update. Update failed!<br />MySQL returned this error: ".mysql_error()."</div>";
	}
	else
	{
		$message = "<div class=\"info_msg_ok\">The video details have been updated! <a href=\"videos.php\">Click here to return to the videos page</a>.</div>";
	}
}
elseif($_POST['submit'] == "Update" && empty($_POST['categories']))
{
	$message = "<div class=\"info_msg_err\">Please select a category!</div>";
}

if($message != '')
	$message;

$query = mysql_query("SELECT * FROM pm_videos WHERE uniq_id = '".$uniq_id."'");
$count = mysql_num_rows($query);

if($count == 0) {
	$message = "<div class=\"info_msg_err\">The requested video was not found in your database.</div>";
	echo '<div id="content">';
	echo $message;
	echo '</div>';
	include('footer.php');
	exit();
}

$r = mysql_fetch_assoc($query);
$query2 = mysql_query("SELECT mp4, direct FROM pm_videos_urls WHERE uniq_id = '".$uniq_id."'");
$r_extent = mysql_fetch_assoc($query2);

mysql_free_result($query);
mysql_free_result($query2);
if(is_array($r_extent))
	$r = array_merge($r, $r_extent);

switch($action)
{
	case 1:
		// REMOVE VIDEO AND EVERYTHING RELATED TO RESPECTIVE VIDEO
		@mysql_query("DELETE FROM pm_videos WHERE uniq_id = '".$uniq_id."'");
		@mysql_query("DELETE FROM pm_comments WHERE uniq_id = '".$uniq_id."'");
		@mysql_query("DELETE FROM pm_ratings WHERE id = '".$uniq_id."'");
		@mysql_query("DELETE FROM pm_reports WHERE entry_id = '".$uniq_id."'");
		@mysql_query("DELETE FROM pm_videos_urls WHERE uniq_id = '".$uniq_id."'");
		@mysql_query("DELETE FROM pm_favorites WHERE uniq_id = '".$uniq_id."'");
		@mysql_query("DELETE FROM pm_chart WHERE uniq_id = '".$uniq_id."'");
		@mysql_query("DELETE FROM pm_tags WHERE uniq_id = '".$uniq_id."'");
		//header("Location: videos.php?action=1&page=".$page);
		echo "<meta http-equiv=\"refresh\" content=\"0;videos.php?action=deleted&page=".$page."\" />";
		exit();
	break;
	case 2:
		// REMOVE COMMENTS ONLY
		@mysql_query("DELETE FROM pm_comments WHERE uniq_id = '".$uniq_id."'");
//		header("Location: videos.php?action=1&page=".$page);
		echo "<meta http-equiv=\"refresh\" content=\"0;videos.php?action=deleted&page=".$page."\" />";
		exit();
	break;
}

// GENERATE CATEGORIES FOR THE FORM
$cats	=	explode(",", $r['category']);
$sql	=	"SELECT * FROM pm_categories WHERE parent_id=0";
$result	=	@mysql_query($sql);

?>
<div id="sub_menu">
<li><a href="addvideo.php">Add new video</a></li>
<li><a href="import.php">Import from Youtube</a></li>

<li><a href="import_user.php">Import from Youtube User</a></li>

<li><a href="reports.php">Reported Videos</a></li>

<li><a href="approve.php">Approve Videos</a></li>
<li><a href="voth.php">Change video of the day</a></li>

</div>
<div id="content">
<h2>Update Video</h2>

<?=$message?>
<br />
<form name="update" action="modify.php?vid=<?=$uniq_id?>" method="post" onsubmit="return validateFormOnSubmit(this, 'Please fill in the required fields (highlighted)')">
<table width="100%" border="0" cellspacing="1" cellpadding="3">
  <tr class="table_row1">
		<td width="13%" valign="top"><strong>Artist/Band</strong></td>
    <td width="87%"><input type="text" id="must" name="artist" value="<?=htmlspecialchars($r['artist'])?>" style="width: 500px;" /></td>
  </tr>
  <tr class="table_row1">
    <td valign="top"><strong>Video title</strong></td>
    <td><input type="text" id="must" name="video_title" value="<?=htmlspecialchars($r['video_title'])?>" style="width: 500px;" /></td>
  </tr>
  <tr>
    <td valign="top"><strong>Description</strong></td>
    <td>
	<textarea name="description" id="textarea" style="height: 150px; width: 500px;"><?=$r['description']?></textarea>
	<script language="javascript1.2">
		if(navigator.userAgent.indexOf('Safari') == -1)
		{
		  generate_wysiwyg('textarea');
		}
	</script>
	</tr>
  <tr class="table_row1">
    <td valign="top"><strong>Tags</strong></td>
    <td>
	<input type="text" name="tags" value="<?=$my_tags_str?>" style="width: 500px;" /><br />
	<small><em>(i.e. madonna, justin timberlake, live)</em></small><br />
	</td>
  </tr>
  <tr class="table_row1">
    <td valign="top"><strong>Thumbnail location</strong></td>
	<td>
	<input type="text" name="yt_thumb" value="<?php echo $r['yt_thumb']; ?>" style="width: 500px;" />	</td>
  </tr>
<?php
  if($r['source_id'] != 1 && $r['source_id'] != 2)
  {
?>
  <tr class="table_row1">
    <td valign="top"><strong>Original video</strong></td>
	<td>
	<input type="text" name="direct" value="<?php echo $r['direct']; ?>" style="width: 500px;" /> <a href="#" class="hintanchor" onMouseover="showhint('Changing this URL will reimport the \'FLV location\' of the new video from the given URL', this, event, '250px')"><img src="images/ico_help.gif" alt="" width="16" height="16" border="0" align="absmiddle" /></a>
	<input type="hidden" name="direct-original" value="<?php echo $r['direct']; ?>"  />
	</td>
  </tr>
<?php
  }
?>
  <tr class="table_row1">
    <td valign="top"><strong>FLV Location:</strong></td>
	<td>
	<input type="text" name="url_flv" value="<?php echo $r['url_flv']; ?>" style="width: 500px;" /> <a href="#" class="hintanchor" onMouseover="showhint('<b>Warning:</b> Changing the FLV location of this video may cause it to stop working!', this, event, '250px')"><img src="images/ico_help.gif" alt="" width="16" height="16" border="0" align="absmiddle" /></a>
	<input type="hidden" name="url_flv-original" value="<?php echo $r['url_flv']; ?>"  />
	</td>
  </tr>
  <tr class="table_row1">
    <td valign="top"><strong>Submitted by</strong></td>
    <td>
	<input type="text" name="submitted" value="<?=htmlspecialchars($r['submitted'])?>" style="width: 100px;" /></td>
  </tr>  
  <tr>
    <td valign="top"><strong>Category</strong></td>
    <td>
<?
while($row = mysql_fetch_assoc($result)){

		echo '
	    <label>
        <input type="checkbox" name="categories[]" value="'.$row['id'].'"';
		if(in_array($row['id'], $cats))
			echo ' checked ';
		echo ' />
        <strong>'.$row['name'].'</strong>
      	</label>
        <br />';

		$subcat = mysql_query("SELECT * FROM pm_categories WHERE parent_id=".$row['id']." AND parent_id !=0 ORDER BY parent_id ASC");
		while($row3 = @mysql_fetch_assoc($subcat)){
		echo '
	    <label>
        <img src="images/ico_subcat2.gif"><input type="checkbox" name="categories[]" value="'.$row3['id'].'"';
		if(in_array($row3['id'], $cats))
			echo ' checked ';
		echo ' />
        '.$row3['name'].'
      	</label>
        <br />';
		}
}
@mysql_free_result($result2);
?>	</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>
	<input type="hidden" name="language" value="1" />
	<input type="hidden" name="uniq_id" value="<?=$uniq_id?>" />
	<input type="hidden" name="source_id" value="<?=$r['source_id']?>" />
	<input name="submit" type="submit" value="Update" class="inputbutton" />	</td>
  </tr>
</table>

</form></div>

<?php
include('footer.php');
?>