<?php
session_start();
// +------------------------------------------------------------------------+
// | PHP Melody version 1.5.2 / Release date: December 22, 2008
// +------------------------------------------------------------------------+
// | PHP Melody IS NOT FREE SOFTWARE
// | If you have downloaded this software from a website other
// | than www.phpsugar.com or if you have otherwise received
// | this software from someone who is not a representative of
// | this site you are involved in an illegal activity.
// | ---
// | In such case, please contact us at: support@phpsugar.com.
// +------------------------------------------------------------------------+
// | Developed by: phpSugar (www.phpsugar.com) / support@phpsugar.com
// | Copyright: (c) 2004-2008 PhpSugar.com. All rights reserved.
// +------------------------------------------------------------------------+

require('config.php');
require_once('include/functions.php');
require_once('include/user_functions.php');
require_once('include/islogged.php');

//$who = trim($_GET['uid']);
$who = trim($_GET['u']);
$who = str_replace( array('"', "/"), "", $who);
$who = username_to_id($who);

if( $who == 0 )
{
	header("Location: "._URL. "/index."._FEXT);
	exit();
}

//	"Owner" is the one who has created the Playlist
$owner = fetch_user_advanced($who);

if($owner['id'] == $userdata['id'])
{
	header('Location: '._URL.'/favorites.php?a=show');
	exit();
}

if($owner['favorite'] == 0)
{
	$error_msg = $lang['favorites_msg2'];
}
else
{
	$videos = array();
	$videos = request_user_playlist($owner['id']);
	if($videos === false || (count($videos) == 0))
	{
		$error_msg = $lang['favorites_msg3'];
	}
	else
	{
		//	Start building the playlist
		$item = '';
		$item_swf = '';
		$i = 1;
		foreach($videos as $uniq_id => $info)
		{
			$item .= "
			<tr class=\"table_row1\">
			 <td width=\"49\">
			  <a href=\"#videoplayer\" onClick=\"javascript: clipSelected(".$i.")\">
			   <img src=\"".show_thumb($uniq_id)."\" alt=\"".addslashes($info['video_title'])."\" class=\"imag\" width=\"116\" height=\"87\" align=\"left\" />
			  </a>
			 </td>
			 <td>
			  <a href=\"#videoplayer\" onClick=\"javascript: clipSelected(".$i.")\">
			   <span class=\"artist_name\">".stripslashes($info['artist'])."</span>
			   <br />
			   <span class=\"song_name\">".fewchars($info['video_title'], 80)."</span>
			  </a>
			 </td>
			</tr>";

			$item_swf .= "{	name: '".addslashes($info['video_title'])."', url: '"._URL2."/videos.php?vid=".$uniq_id."' },";
		$i++;
	 	}	//	end foreach()
	 $item_swf = substr($item_swf, 0, -1);
	}	//	end else()
}
if(strlen($item_swf) == 0)
{
	//	Assign a non-existing if there are no videos to show.
	$item_swf .= "{	name: 'No video available', url: '"._URL2."/novideo.flv' }";	
}
$meta_title = sprintf($lang['myfavorites_title'], $owner['username']);


$smarty->assign('action', 'show');
$smarty->assign('favorite_videos_list', $item);
$smarty->assign('favorite_videos_list_swf', $item_swf);
$smarty->assign('problem', $error_msg);
// --- DEFAULT SYSTEM FILES - DO NOT REMOVE --- //
$smarty->assign('meta_title', $meta_title);
$smarty->assign('meta_description', $meta_description);
$smarty->assign('template_dir', $template_f);
$smarty->display('favorites.tpl');
?>