<?php
session_start();
require_once('config.php');
require_once('include/functions.php');



/*		functions - start	*/
function startElement($parser, $name, $attrs) 
{
	global $youtube, $youtube_array_counter, $youtube_index;
	switch($name) 
	{
		case "ENTRY":
			$youtube_index = "";
			break;
		default:
			$youtube_index = $name;
			$youtube[$youtube_array_counter][$youtube_index] = "";
			break;
	}
}

function endElement($parser, $name) 
{
	global $youtube, $youtube_index, $youtube_array_counter;
	switch($name) 
	{
		case "ENTRY":
			$youtube_array_counter++;
			break;
	}
	$youtube_index = "";
}

function characterData($parser, $data) 
{
	global $youtube, $youtube_array_counter, $youtube_index;
	if ($youtube_index != "") 
	{
		$youtube[$youtube_array_counter][$youtube_index] .= trim($data);
	}
	
}
/*		functions - end		*/



//	set ad cookie ?
if(empty($_COOKIE[COOKIE_VIDEOAD]))
{
	if($config['total_videoads'] > 0)
	{
		if($config['videoads_delay'] != 0)
		{
			setcookie(COOKIE_VIDEOAD, $video_ad_hash, time() + $config['videoads_delay'], COOKIE_PATH);
		}
	}
}

if(empty($_GET['vid'])) 
{
	exit();
} 
else 
{
	$video_id = secure_sql($_GET['vid']);
	$query = mysql_query("SELECT url_flv, source_id, yt_id FROM pm_videos WHERE uniq_id = '".$video_id."'");
	$video = mysql_fetch_array($query);

		if($video['source_id'] == 3)	//	Youtube
		{
		
		$file = 'http://www.youtube.com/api2_rest?method=youtube.videos.get_video_token&video_id='.$video['yt_id'];
		$youtube = array();
		$youtube_index = "";
		$youtube_array_counter = 0;
		
		$xml_parser = xml_parser_create();
		xml_set_element_handler($xml_parser, "startElement", "endElement");
		xml_set_character_data_handler($xml_parser, "characterData");
		if ( ini_get('allow_url_fopen') == 1 ) 
		{
		
		   // use fopen() or file_get_contents()
		   if ( $fp = @fopen($file, "r") ) 
		   {
			  while ($data = fread($fp, 4096)) 
			  {
				if ( !xml_parse($xml_parser, $data, feof($fp)) ) 
				{
					die(sprintf("XML error: %s at line %d",
					xml_error_string(xml_get_error_code($xml_parser)),
					xml_get_current_line_number($xml_parser)));
				 }
			  }
		   }
		   else 
		   {
			  $error = 1;
		   }
		   @fclose($fp);
		}
		elseif( (ini_get('allow_url_fopen') == 1 && $error == 1) || ini_get('allow_url_fopen') == 0 ) 
		{
		   // if there was an error encountered while using fopen() OR if allow_url_fopen is OFF, use cURL
		   $error = 0;
		   if ( function_exists('curl_init') ) 
		   {
			  $ch = curl_init();
			  curl_setopt($ch, CURLOPT_URL, $file);
			  curl_setopt($ch, CURLOPT_HEADER, 0);
			  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			  curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0');
		   
			  $data = curl_exec($ch);
			  curl_close($ch);
		
			  if ( !xml_parse($xml_parser, $data, TRUE) ) 
			  {
					die(sprintf("XML error: %s at line %d",
					   xml_error_string(xml_get_error_code($xml_parser)),
					   xml_get_current_line_number($xml_parser)));
			  }
		   }
		   else 
		   {
			  $error = 1;
		   }
		}
		xml_parser_free($xml_parser);
		$flv_url = 'http://www.youtube.com/get_video?video_id='.$video['yt_id'].'&t='.$youtube[0]['T'];
	
		/*
		$urls = "http://www.youtube.com/v/".$video['yt_id'].".swf";
		
			$get_header = @getheaders($urls, 0);
			$wanteds = $get_header[5];
			$newstr = explode('.swf?',$wanteds); 
		
			$var = explode("&",$newstr[1]);
			$key = 4;
			foreach($var as $k => $v)
			{
				if( substr($v, 0, 2) == "t=" )
					$key = $k;
			}
			$flv_url = 'http://www.youtube.com/get_video?video_id='.$video['yt_id'].'&'.$var[$key];
		*/
			if(_USE_HQ_VIDS)
			{
				$flv_url .= '&fmt=18';
			}
		}
		elseif($video['source_id'] == 5)	//	Dailymotion
		{
			$sql = "SELECT * FROM pm_videos_urls WHERE uniq_id = '".$video_id."'";
			$q = mysql_query($sql);
			$video_extended = mysql_fetch_assoc($q);
			mysql_free_result($q);
			
			define('PHPMELODY', true);
			$temp = array();
			@include(ABSPATH . "admin/src/dailymotion.php");
			
			do_main($temp, $video_extended['direct']);
			$flv_url = $temp['url_flv'];
			unset($temp);
		}
		elseif($video['source_id'] == 9)	//	VEOH
		{
			$sql = "SELECT * FROM pm_videos_urls WHERE uniq_id = '".$video_id."'";
			$q = mysql_query($sql);
			$video_extended = mysql_fetch_assoc($q);
			mysql_free_result($q);
			
			define('PHPMELODY', true);
			$temp = array();
			@include(ABSPATH . "admin/src/veoh.php");
			
			do_main($temp, $video_extended['direct']);
			$flv_url = $temp['url_flv'];
			unset($temp);
		}
		elseif($video['source_id'] == 6)	//	Metacafe
		{
			$sql = "SELECT * FROM pm_videos_urls WHERE uniq_id = '".$video_id."'";
			$q = mysql_query($sql);
			$video_extended = mysql_fetch_assoc($q);
			mysql_free_result($q);
			
			define('PHPMELODY', true);
			$temp = array();
			@include(ABSPATH . "admin/src/metacafe.php");
			
			do_main($temp, $video_extended['direct']);
			$flv_url = $temp['url_flv'];
			unset($temp);
		}
		elseif($video['source_id'] == 20)	//	FunnyOrDie
		{
			//http://www2.funnyordie.com/george-w-bush-goes-to-broadway-from-will-ferrell.flv
			$sql = "SELECT * FROM pm_videos_urls WHERE uniq_id = '".$video_id."'";
			$q = mysql_query($sql);
			$video_extended = mysql_fetch_assoc($q);
			mysql_free_result($q);
			
			$parts = explode("/", $video_extended['direct']);
			$vid_id = $parts[ count($parts)-2 ];
			$flv_url = 'http://videos0.ordienetworks.com/videos/'.$vid_id.'/sd.flv';
		}
		else 
		{
			if(($video['source_id'] == 1) || (strstr($video['url_flv'], "http://") === false))
			{
				$flv_url = _VIDEOS_DIR . $video['url_flv'];
			}
			else
			{
				$flv_url = $video['url_flv'];
			}
		}

	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Content-Type: video/x-flv");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header('Location: '.$flv_url);

}
?>